# Hacker Group Uses Malicious Browser Extension To Steal Emails
## Kimsuky, a North Korean hacker group is believed to be hacking the major web browsers with the help of a malicious browser extension, which intercepts and steals emails.
## Information:

+ Link: https://cybersecuritynews.com/?p=9943
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 01 August 2022, 03:58
+ Date scraped: 01 August 2022, 04:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiz-qLpUQMuGty_tmDWoML5nUaqyI_VhPB3iyCu0GFSB5rWQ_Obz_qOE8HdtxcA6HzS7bKXp5nAVMcCcUzZUkCHEvoDYPZaU7lSBMlUdH2RQNF3ODAPZhAhCUaPGgOeUttMcyGJO0LCbd1b9srRUeJ5N4cPXxU3Et5Q5DvK4sWQ0UWayWFaDcDXWkTeIQ/s16000/North%20Korean%20Hacker%20Group%20Uses%20Malicious%20Browser%20Extension%20To%20Steal%20Emails%20From%20Google%20Chrome.png)

Kimsuky, a North Korean hacker group is believed to be hacking the major web browsers with the help of a malicious browser extension, which intercepts and steals emails.

[Researchers](https://www.volexity.com/blog/2022/07/28/sharptongue-deploys-clever-mail-stealing-browser-extension-sharpext/) at Volexity, who was the first to spot this campaign back in September, named the extension SHARPEXT. There are three different Chromium-based web browsers that this malicious extension is compatible with:-

* Google Chrome
* Microsoft Edge
* Whale

## **Stealthy Campaign**

Moreover, this malicious extension can also steal email from the accounts of Gmail and AOL users. As a result of using a custom [VBS script](https://cybersecuritynews.com/wapdropper-android-malware/) to compromise a target’s system, attackers then install this malicious extension on the system. 

In order to accomplish this, they replace two types of files that we have mentioned below with the files that were downloaded from the malware’s C2 server:-

  [![EHA](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjlaUbKCifvflOZCpChjVN2YyzLBVVeWyL4xobuU6mJmL6b9U_wAfpKTUjrQpNMgJSTqXIxFk9Pjtb91TQadV1QMPqPwgbC9C5_2hQ9URcboiTgSVmJinmOjJuw5uuRBFGqGO_fm0ho4l6hzC7M_zGUxADwrKaNPFsxe3q75jV8htAJLj0j5unQEXyiZQ/s16000/Perimewter%2081_For%20gbhackers.com_970x250.png
)](https://bit.ly/3xmY62n)* Preferences files
* Secure Preferences files

![](https://lh4.googleusercontent.com/DwtDeYrzFq_gJ1pRv2vLCyCOx3B74p5F4jtzX-zjahCHiBB3mYQXXAG-jqt-r0uQVlZdgLp9FInzc0uOmK1sQMr98HjWSD0jw4Sg_o73qM_xwXH0yU1_5FzcuRLtyxKec-KwumRwdKeRKkoLZR_53ek)

In addition to this latest campaign, Kimsuky has also launched similar campaigns in the following countries in which the SHARPEXT has been deployed:-

* The United States
* Europe
* South Korea

### **Effectual Tactics**

This attack can remain undetected as long as the victim’s email provider is not aware that the attacker uses the already-logged-in session of the target to steal emails.

As a result, it becomes extremely difficult to detect it in this way. A suspicious activity alert won’t be triggered on the accounts of victims as a result of the extension’s workflow.

If you check the webmail account status page for alerts, you will not be able to discover the [malicious activity](https://cybersecuritynews.com/microsoft-office-zero-day-vulnerability/), since the alerts will not be visible.

#### **Illicit Capabilities and Data Collected**

There is a wide range of information that could be gathered by North Korean threat actors using SHARPEXT. Here below we have mentioned them:-

* Make a list of all the emails that have been collected previously from the victim.
* List email domains with which the victim has previously communicated.
* Collect a blacklist of email senders.
* Add a domain to the list of all domains viewed by the victim.
* Upload a new attachment to the remote server.
* Upload Gmail data to the remote server.
* Commented by the attacker; receive an attachments list to be exfiltrated.
* Upload AOL data to the remote server.

#### **Mitigations**

Here below we have mentioned all the recommended mitigations:-

* Enable PowerShell ScriptBlock logging.
* Analyze the results of PowerShell ScriptBlock logging.
* Ensure that all extensions installed on machines of high-risk users are reviewed.
* For the detection of related activity, you can use the YARA rules.
* IOCs given should be blocked.



## Tags:


### Autogenerated tags:
[[sharpext]]
