# Samstealer Attacking Windows Systems To Steal Sensitive Data
## Hackers mainly aim at Windows systems as they are widely adopted and dominate the market, consequently, threat actors will achieve maximum
## Information:

+ Link: https://cybersecuritynews.com/?p=65126
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 20 May 2024, 13:28
+ Date scraped: 20 May 2024, 14:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh9breW2KbsR-Vl33NyLAWa8qOK-pPjAGd7ZWL3yLeW5qErQpAZ5EK9Nuckc0DOg0HhFfWRYTE_XtZpdpHxCmy4mPTxhowHymrJxaZNmawb0I1W5O3m3OVNwD1os3mT9mwkrUtQ4wQGxtIZQFMpJAQywagIxTgmg70DBXzuD1sIahd0w03bpTmv7G-TSJuh/s16000/Samstealer%20Attacking%20Windows%20Systems%20to%20Steal%20Sensitive%20Data.webp)


Hackers mainly aim at Windows systems as they are widely adopted and dominate the market, consequently, threat actors will achieve maximum financial gain or theft of data from them compared to other [operating systems](https://cybersecuritynews.com/systems-management-tools/).


In addition, the presence of numerous entry points due to the complexity of the Windows operating system and the diversity of applications running on it creates various vulnerabilities that can be adopted for explorations.


Also, the presence of hacking tools and malware that exclusively affect only Windows-based machines is a contributing factor to their popularity among threat actors.


Cybersecurity researchers at CYFIRMA recently detected that Samstealer had been actively attacking Windows systems to steal sensitive data.


ANYRUN malware sandbox’s 8th **[Birthday Special Offer](https://app.any.run/plans/?utm_source=linkedin_csn&utm_medium=post&utm_campaign=birthday2024_scn&utm_content=plans&utm_term=200524/)**: Grab 6 Months of Free Service


**Samstealer Attacking Windows Systems**
----------------------------------------


A new .NET malware named “SamsStealer” spreads through Telegram with the aim of stealing sensitive files on Windows.


It creates a temp folder and then proceeds to steal passwords, cookies, and other information from different browsers such as Chrome, Edge, and cryptocurrency wallets.


It also focuses on stealing account details about Telegram, Discord, etc., including tokens or wallet content. Cyfirma [said](https://www.cyfirma.com/research/samsstealer-unveiling-the-information-stealer-targeting-windows-systems/) the stolen data is saved in a temporary folder and converted into exfiltration files.


Detailed knowledge would enable users to detect evolving info stealer threats by determining its ability for data theft on numerous applications.


Here below we have mentioned cryptocurrency wallets that are targeted:-


* Bitcoin: Located in ‘%appdata%\Bitcoin\wallets’
* Zcash: Located in ‘%appdata%\Zcash’
* Armory: Located in ‘%appdata%\Armory’
* Bytecoin: Located in ‘%appdata%\Bytecoin’
* Jaxx: Located in ‘%appdata%\com.liberty.jaxx\IndexedDB\file\_0.indexeddb.leveldb’
* Exodus: Located in ‘%appdata%\Exodus\exodus.wallet’
* Ethereum: Located in ‘%appdata%\Ethereum\keystore’
* Electrum: Located in ‘%appdata%\Electrum\wallets’
* AtomicWallet: Located in ‘%appdata%\atomic\Local Storage\leveldb’
* Guarda: Located in ‘%appdata%\Guarda\Local Storage\leveldb’
* Coinomi: Located in ‘%localappdata%\Coinomi\Coinomi\wallets’



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh5fvDAlYh9BPwQKT0c-fzRlN41gJfUOnQF8-Fnzns5C0jcO-s-2hSk0YiT6HSUYUf_8G8Pdiq344_Bnbk0uWE6cYb8ROgknZRWrNzAt_Slt54r6_qsRQVjKA8naFTLA8pohCbrAnowhBpz2Z7FONAr1DTcEluVlF-DI4GjS6ASivqoBvnlvrQguKTYlLhT/s16000/MyTempFolder%20(Source%20-%20Cyfirma).webp)MyTempFolder (Source – Cyfirma)


As soon as the data is stolen, SamsStealer empties temporary files, packs all that is stolen into “Backup.zip,” and erases the parent directory.


Then it uploads Backup.zip to gofile.io and shares the download link via [Telegram](https://cybersecuritynews.com/telegram-web-app-xss-vulnerability-hijack-sessions/) with a message reading “New goat Detected, Join Now: @SamsExploit.” 


This silent malware effectively steals a variety of sensitive data across browsers, applications, and crypto wallets on Windows devices targeted by users.


Knowing these emerging threats is important in structuring defensive strategies to prevent possible intrusions that may lead to compromising privacy and data breaches.


**Recommendations**
-------------------


Here below we have mentioned all the recommendations:-


* Deploy advanced endpoint security with threat detection and prevention.
* Use robust antivirus/anti-malware to detect and remove malicious payloads.
* Regularly update systems, apps, and security software.
* Implement network segmentation to limit lateral movement.
* Train employees on identifying phishing and social engineering tactics.
* Configure firewalls to block malicious IPs and C2 communications.
* Monitor for suspicious processes, network activity, and data exfiltration.
* Enforce application whitelisting to prevent unauthorized executables.
* Have an incident response plan for malware infections.
* Stay updated on the latest threats and indicators of compromise (IOCs).
* Maintain regular backups to minimize ransomware/data loss impact.
* Follow least privilege principles to restrict user permissions.
* Build defenses based on threat intel and provide rules/IOCs.


**IOCs**
--------



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiSNxLoxjoEkHyTPKVJzAwiQDC6gfMzhuAcEgKSaH5bySWb4GczasNLyb4RoAVfNtjkjWnhGD9EfIJ-aZzBsvPfK7jemG0kAl7sgykkWaD0SoypBo8SYLQWngYY40D7esrGfIhySQ11Y7lUM-XnedmibgLJpk6jgHkEpqK0ydvjDVURtv_kZDqLdyphcNa0/s16000/IOCs%20(Source%20-%20Cyfirma).webp)





## Tags:


### Autogenerated tags:
[[windows]] [[malware]] [[cyfirma]]
