# Xeno RAT Abuses Windows DLL Search To Avoid Detection
## A new sophisticated malware has been discovered which is written in C# and has sophisticated functionalities.
## Information:

+ Link: https://cybersecuritynews.com/?p=58107
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 26 February 2024, 15:14
+ Date scraped: 26 February 2024, 16:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgjZtUyWovTuT0NWJP0jIpAnzZm0f-i16YSdUkUjbRCL8JneFGfoABl9IMFYvQBfpQl5uC2eiZ0Y0e-rjWXZ-RdPw-HRc_L-puZOlpWeO6fWHUQX8f1XVrkrwjK33CR6oRQN7oM9Xu4dvo5wsX9MTFPAajme83gWEZjqiMeBatDqtOJ8bTc9YUdqnyuwPwa/s16000/Xeno%20RAT%20Abuses%20Windows%20DLL%20(1).webp)


A new sophisticated malware, which is written in C# and has sophisticated functionalities, has been discovered.


This new malware has been named  Xeno RAT and is capable of evading detection, payload generation and to add the threat vector, it is also available as open-source on GitHub.


Moreover, the malware uses process injection, obfuscation, anti-debugging, [C2 communication](https://cybersecuritynews.com/command-and-controlc2-server/), and several other techniques that make it even more complicated to detect it. 


The primary threat vector of this malware is the use of a Shortcut file and multi-stage payload downloader.


**Xeno RAT Abuses Windows DLL Search**
--------------------------------------


According to the reports shared with Cyber Security News, this malware was initially delivered as a shortcut file (.lnk) which is named as “WhatsApp\_2023-12-12\_12-59-06-18264122612\_DCIM.png.lnk”.


Document

Live Account Takeover Attack Simulation
[How do Hackers Bypass 2FA?](#)
-------------------------------


Live attack simulation Webinar demonstrates various ways in which account takeover can happen and practices to protect your websites and APIs against ATO attacks

.


  [Book Your Spot](https://www.indusface.com/account-takeover-live-attack-simulation.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2024-feb-webinar-account-takeover-live-attack-simulation) 


This LNK file acts as a downloader and uses the Windows Command Shell to download and execute the payload from a ZIP archive located at the [Discord](https://cybersecuritynews.com/hackers-use-discord-for-cc/) CDN URL.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi7OaKp8G3Ppgb1z2R8rjjrak34tgf2gK3y3kZnT7_y8zFEvzl0Eyr1Ir5QcAEYDS9Rno3Aj1M7efTBgp1YebQJC9ccONcMS3jeRPGTctAL97Jc1pmE9NEzLZ0AOnARqRLg091hV1kxNzRC2p2xZ-AAERhl8Tczb-VuQEWUuQyXsmbnW7VodKdWipdxnM2E/s16000/Capture%20(34).webp)*Screenshot LNK file (Source: Cyfirma)*


**First Stage Execution**
-------------------------


The LNK file consists of obfuscated command-line arguments with two shortened URLs that download two files from the Discord CDN server.


One of the files is a non-malicious file, while the other is the payload ZIP archive. This ZIP is downloaded and extracted in the directory “C:\Users\user\AppData\Roaming\Adobe\Drivers”.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjzw1lwaAEmg6QhHvWto4kqEp5NP4IFlZ9h1LY750rJtJkuQWZm0CwC5eFfauvbl1hoNIuXHMnPZn4tRbGsn4iVXNCg71x6TNuGn8s2f9kpH6L-r2umR2oR1w-rtzsDBniAXnv5vDVT9dANBF4CjuMaYoFJdTn6uvNajPEmb1VaUAGNH0_IDBe4rIVbkwVl/s16000/Capture%20(35).webp)*(Source: Cyfirma)*


This ZIP archive consists of three files two portable executable files with the extensions EXE and DLL, and the third file was an unknown file under the name LICENSE.


The EXE file was found under the name ADExplorer.exe, which is a Windows Sysinternals-provided active directory viewer and editor.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhVFctSktOK47TJBxZ_AOl26cwVqOiVZi2KmY6r4jDRU8l-Cgeqenhwq-0KVXasidfpjWRxXxqnoON2NdqFHVZPM4uZl1Hwv0iCaKIk71zdzVXRgRmWEJOpzF3v5E9gYp94RI5eJSK-WzSRG-oGbY27p9MXZDm8FPEoWGOnEErJ4nMPmFgMb_e961k_I5B5/s16000/Capture%20(37).webp)*(Source: Cyfirma)*


The DLL file (samcli.dll) is the malicious payload that mimics the name of the “Security Accounts Manager Client DLL”.


Though the DLL file is signed, the signature was not a verified one. The LICENSE file contains obfuscated text with read/write permissions.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhI6nSfU7rkHmy2UNq4KCVncaoUMMB5kjHX7FRCts8d81lGOzzGjuY6LqNQ5lMP89eojepDozg2DKwbTVsxQdMxPnrUlpXu5A43U8ImPnBXmcNZWWpXzLb9RwKoezAv0h6A9ONCfIBmIeL6Y6lGmNWYUNgfLdAnvogbReQmqsxpjW0Y-_b-hwTLo6LM26a7/s16000/Capture%20(38).webp)*(Source: Cyfirma)*


**Second Stage Execution**
--------------------------


In this stage, the rest of the commands in the LNK file initiate the ADExplorer.exe file without any prompts.


This ADExplorer.exe uses the samcli.dll file for its functionalities and exploits the DLL search order functionality of the Windows OS by positioning a malicious DLL file with the same name on the Current Working Directory.


While this is being done, the samcli.dll is loaded in the ADExplorer.exe process. This ADExplorer.exe process creates a suspended process named “hh.exe” and performs process injection.


In addition, the ADExplorer.exe also creates two shortcut files in the current working directory named “Guide.lnk ” and “Support.url”.


The URL file points to the Guide.lnk file, which performs the same functionality as the first downloaded LNK file.


**Third Stage Execution and Final Stage Execution**
---------------------------------------------------


In the third stage, the hh.exe process creates another suspended process, “colorcpl.exe,” and performs another process injection.


This colorcpl.exe is terminated by hh.exe and then resumed under the “explorer.exe” process. At the Final stage, the colorcpl.exe checks if there are any installations of Xeno RAT on the victim machine.


If the malware is nowhere to be found, the process starts to communicate with the C2 domain internal-liveapps[.]online and resolves to the 45[.]61[.]139[.]51 IP. The communication between the C2 is obfuscated.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhBgWq3qd8Oa8RtoeWwfUGh_F7P-jaM9c-pNu1b4RTIGTJXvwHmFrpo1AmfxXwSaqbFkOCmHfDXKu2AgNmrIVtpn8N5F163lmm5EWVZlj5he9cjccRzM7YJT-hzEVYtQpCJie4B3cYOWpjga1DK9m5pHdKuWtCht5tyC9TgqY5S6T8DljH5nSfyKmOH3jY0/s16000/Capture%20(39).webp)*(Source: Cyfirma)*


This Xeno RAT is capable of several functionalities such as monitoring, evading analysis, Hidden VNC, SOCKS5 proxy connection with the C2 server, persistence with Scheduled Tasks, process [injection](https://cybersecuritynews.com/injection-attacks/), network traffic obfuscation, command execution from C2, status updates, and many others.


**Indicators Of Compromise**
----------------------------



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgUyJPHHnoZFOFBuUzv8rOfxDwjEsL-tD6bcJVZccdv3cNFtlA0-Coah1udEkJA4KghBWIfritCYjrxmCpsm-wbQYQG9kFjp2ESdf8CWHvcGaZGURify4Mp4NY5u7wyUmIHMzMraZcY0Oml2P7Mq2-QUt8mEjQLVUH91VxV0lDtqNoFNlh6v00zKznhYRh5/s16000/Capture%20(40).webp)


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are extremely harmful, can wreak havoc, and damage your network.





## Tags:
***ipv4-adresses***: 45.61.139.51
***urls***: http://45.61.139.51 http://internal-liveapps.online

### Autogenerated tags:
[[malware]] [[dll]] [[adexplorer.exe]] [[c2]] [[lnk]] [[cyfirma]] [[xeno]] [[windows]] [[samcli.dll]]
