# Hackers use Coinbase job ads to lure crypto buffs | Cybernews
## The infamous North Korean hacker group Lazarus torments the fintech industry, targeting sector employees by impersonating popular crypto exchange Coinbase.
## Information:

+ Link: https://cybernews.com/news/north-korean-hackers-use-fake-coinbase-job-ads-to-lure-crypto-buffs/
+ Source: CyberNews
+ Author: Vilius Petkauskas
+ Date published: 08 August 2022, 07:51
+ Date scraped: 08 August 2022, 10:00

## Article:
![Main article image](https://media.cybernews.com/images/featured/2022/08/coinbase-logo-app.png)



A novel social engineering campaign targets crypto engineers and security professionals. According to Malwarebyte researcher Hossein Jazi, hackers from the Lazarus group distribute fake Coinbase job offers infected with malware.


Since [Coinbase](https://cybernews.com/crypto/phishing-campaign-targets-coinbase-wallet-holders/) is among the most recognizable names in the crypto industry, a job ad for a position in the company provides Lazarus with a large pool of potential victims.


The bait job ad is titled ‘Engineering Manager, Product Security,’ indicating North Korean hackers are looking to phish for particular types of victims.





The fake job ad hides a file named ‘Coinbase\_online\_careers\_2022\_07.exe’, and once executed, the infected file displays a PDF preview and deploys malicious files on the victims’ device.


According to Jazi, the campaign resembles a similar one Malwarebytes described in their [blog](https://blog.malwarebytes.com/threat-intelligence/2022/01/north-koreas-lazarus-apt-leverages-windows-update-client-github-in-latest-campaign/) back in January. At the time, the Lazarus group distributed fake job offers, masquerading as the US security and aerospace company Lockheed Martin.


In both campaigns, GitHub served as the command and control (C2) server to receive and execute instructions on the infected device.


## North Korean hackers

North Korea employs cybercrime to finance its dictatorship, which runs a country mostly closed off from the outside world.


While Lazarus Group, [also known as ‘Un-usual Suspects’](https://www.mandiant.com/resources/apt38-details-on-new-north-korean-regime-backed-threat-group) or APT 38, is almost certainly a state-sponsored actor, its primary goals are often financial. Hacker groups operated by state intelligence services often focus more on espionage.


[According](https://cybernews.com/news/north-korean-hackers-stole-400-million-in-cryptocurrency-in-2021/) to Chainalysis, North Korea launched at least seven attacks on cryptocurrency platforms that extracted nearly $400 million worth of digital assets last year.


The FBI claims that DPRK hackers were behind the [Ronin exchange hack](https://cybernews.com/news/north-korean-hackers-named-behind-the-620-million-ronin-hack/) that netted attackers $620m. Researchers believe that Lazarus Groups was behind the [$100m hack](https://cybernews.com/crypto/north-korea-suspected-to-be-behind-the-100m-harmony-hack/) of another crypto exchange, Harmony.


Recently, The US Department of State has increased the reward for information leading to the identification of members from North Korea’s state-sponsored hacker groups such as Lazarus from $5m to $10m.


A United Nations panel of experts monitoring North Korea’s sanctions has accused Pyongyang of using stolen funds to support its nuclear and ballistic missile programs to circumvent sanctions.


Last year the United States charged three North Korean computer programmers working for the country’s intelligence service with a massive, years-long hacking spree to steal more than $1.3 billion in money and cryptocurrency, affecting companies from banks to Hollywood movie studios.








---





## Tags:


### Autogenerated tags:

