# US Army sees “promising signals” after testing Ghost-X and other advanced drones
## Future US Army formations may include new drones, such as Ghost-X, TRV-150, and robot dogs.
## Information:

+ Link: https://cybernews.com/news/army-sees-promising-signals-advanced-drones/
+ Source: CyberNews
+ Author: 
Ernestas Naprys

+ Date published: 25 March 2024, 14:46
+ Date scraped: 26 March 2024, 09:09

## Article:
![Main article image](https://media.cybernews.com/images/featured-big/2024/03/new-drone.jpg)


***Future US Army formations may include new drones, such as Ghost-X, TRV-150, and robot dogs, as the integration of advanced technology will make them “more efficient and lethal,” the US Army Chief of Staff Gen. Randy George believes after month-long experiments in California.***


From February 23rd through March 20th, the US conducted a series of experiments on new tech in Camp Pendleton and Fort Irwin, California, during Project Convergence Capstone 4 (PC-C4), which involved the Army, Navy, Air Force, Marines, and Space Force.


During the experimentation, more than 4000 participants tested multiple new advanced tech platforms. According to the US Department of Defense press release, promising results signal the future integration of advanced tech into army units.




“We've all seen how the battlefield is changing, [and] we know that you can't have these big C2 [command and control] nodes that are out there,” George said. “We know that machines can do a lot of things right now much more effectively and much cheaper, and we're going to have to incorporate them into our formations.”


One example of how advanced technology can be integrated is by incorporating robotic dogs and unmanned aircraft systems to sense the environment. George was amazed after observing a light infantry company that was operating in a simulated urban environment together with new robotic companions.


“That was all tied together by a very simple command and control network that was easy to use and intuitive,” said George. “It was amazing.”


He noted the importance of testing equipment in the environments “you’re going to need to operate in,” and not a showroom.


In one of the provided photos, an infantryman is seen assembling the Ghost-X Unmanned Aircraft System during the human-machine integration experiment.


Developed by Anduril Industries, Ghost-X is capable of 75 min flight time, has a range of 15.5 miles (25km), weighs 55 lbs (25kg), and can carry a 20 lbs (9kg) payload. Some of its features include “Point and Click Mission Planning,” enabling safe and effective flights with minimal input and training, intelligence teaming, and enabling operators to control multiple drones for complex mission profiles.





Described as a “cutting-edge” autonomous drone, it “leverages AI, computer vision & sensor fusion algorithms to autonomously detect, classify and track objects of interest in low-bandwidth and contested environments,” according to Anduril’s website.




In the other photo, the soldiers are assisted by the Ghost Robotic Dog. Developer GgostRobotics describes their creation, dubbed Vision 60, as “a mid-sized high-endurance, agile and durable all-weather ground drone for use in a broad range of unstructured urban and natural environments for defense, homeland, and enterprise applications.”



![robo dog](https://media.cybernews.com/2024/03/dog.png)



The US Marines also [tested](https://www.defense.gov/News/News-Stories/Article/Article/3692664/project-convergence-capstone-4-works-to-integrate-joint-multinational-defense-s/) a Tactical Resupply Vehicle-150 (TRV-150), which is an autonomous drone with a cruise speed of 67 mph, a maximum range of 43 miles, a flight time of 36 minutes, and a maximum payload of 150 pounds (68 kg).





Other tested equipment also included augmented reality headsets, unmanned all-terrain transport vehicles armed with autonomous weapons, and other unmanned systems.


There is no specific date or timeline for the integration of the new weapons just yet. George said that depends on future budgets and that the Army is focused on “incremental improvement.”


“"We do have a sense of urgency,” he [said](https://www.defense.gov/News/News-Stories/Article/Article/3716688/promising-experiment-signals-future-integration-of-advanced-tech-into-army-units/#pop7949241). “I think everybody is anxious to transform.”








---







## Tags:


### Autogenerated tags:
[[ghost-x]]
