# SolarWinds Attackers Gear Up for Typosquatting Attacks
## The same infrastructure traced back to Russian-speaking threat group Nobelium is being used to set up misspelled domain names, presaging impersonation attacks bent on credential harvesting, analysts say.
## Information:

+ Link: https://www.darkreading.com/attacks-breaches/solarwinds-attackers-gearing-up-typosquatting-attacks
+ Source: DarkReading
+ Author: Dark Reading Staff
+ Date published: 03 May 2022, 20:35
+ Date scraped: 03 May 2022, 21:00

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt66983808af36a8ef/blt49cc3869312c3dfa/627185e411a67766f42c09a5/domain_Panther_Media_GmbH_Alamy.jpg)

A typosquatting campaign intended to abuse popular brands is in the works, likely tied to Nobelium, the notorious Russian-state-backed group behind the [SolarWinds attacks](https://www.darkreading.com/attacks-breaches/solarwinds-ceo-attack-began-much-earlier-than-previously-thought).




Recorded Future in its latest research is warning that the attackers are using infrastructure similar to that known to be used by Nobelium, to set up their command-and-control (C2) servers. 


This time, the group is preying on users looking online for specific brands who enter common spelling errors or "typos" in the URL. Those [misspelled domain names](https://www.darkreading.com/cloud/large-enterprises-fail-to-implement-domain-protection-measures) are purchased by threat actors, who stand up spoofed sites to trick people into giving up their credentials, credit-card details, and more. 


"A key factor we have observed from Nobelium operators involved in threat activity is a reliance on domains that emulate other brands (some legitimate and some that are likely fictitious businesses)," the [Recorded Future team explained](https://www.recordedfuture.com/solardeflection-c2-infrastructure-used-by-nobelium-in-company-brand-misuse/) in their report. "Domain registrations and typosquats can enable spearphishing campaigns or redirects that pose a threat to victim networks and brands."






## Tags:


### Autogenerated tags:

