# A Ukrainian Raccoon Infostealer operator is awaiting trial in the US
## The Raccoon Infostealer operator, Mark Sokolovsky, was extradited to the US from the Netherlands to appear in a US court.
## Information:

+ Link: https://securityaffairs.com/159339/cyber-crime/raccoon-infostealer-operator-extradited-to-us.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 19 February 2024, 15:01
+ Date scraped: 19 February 2024, 16:02

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2019/10/Raccoon-info-stealer-2.png)


In October 2020, the US Justice Department charged a Ukrainian national, Mark Sokolovsky (28), with computer fraud for allegedly infecting millions of computers with the [Raccoon Infostealer](https://securityaffairs.co/wordpress/98379/malware/raccoon-malware-evolution.html).


The man was held in the Netherlands, and he was charged for his alleged role in the international cybercrime operation known as Raccoon Infostealer. He appealed the decision of a Dutch Court for granting his extradition to the United States, but it was finally extradited to the US from the Netherlands to appear in a US court.



The Raccoon stealer was [first spotted](https://securityaffairs.co/wordpress/93028/malware/raccoon-info-stealer-maas.html) in April 2019, it was designed to steal victims’ credit card data, email credentials, cryptocurrency wallets, and other sensitive data.


Raccoon is offered for sale as a [malware-as-a-service](https://securityaffairs.co/wordpress/89821/malware/cerberus-malware-underground.html) (MaaS) that implements an easy-to-use automated backend panel, operators also offer bulletproof hosting and 24/7 customer support in both Russian and English. The price of the Raccoon service is [$200 per month to use](https://webcache.googleusercontent.com/search?q=cache:nvZNScRGdy0J:https://hackforums.net/printthread.php%3Ftid%3D5997598+&cd=3&hl=en&ct=clnk&gl=se).


The Raccoon stealer is written in C++ by Russian-speaking developers who initially promoted it exclusively on Russian-speaking hacking forums. The malware is now promoted on English-speaking hacking forums, it works on both 32-bit and 64-bit operating systems.


[![Raccoon Infostealer](https://i2.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2019/10/Raccoon-info-stealer-2.png?resize=1024%2C392&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2019/10/Raccoon-info-stealer-2.png?ssl=1)


The analysis of the logs for sale in the underground community allowed the experts to estimate that Raccoon infected over 100,000 users worldwide at the time of its discovery.


The list of targeted applications includes cryptocurrency apps for major currencies (Electrum, Ethereum, Exodus, Jaxx, and Monero), popular browsers (Google Chrome, Mozilla Firefox, Microsoft Edge, Internet Explorer, Opera, Vivaldi, Waterfox, SeaMonkey, UC Browser) and email client like Thunderbird, Outlook, and Foxmail.


Dutch authorities arrested Sokolovsky in March 2022, concurrent with his arrest, the FBI and law enforcement partners in Italy and the Netherlands dismantled the C2 infrastructure used by the Raccoon Infostealer operation.


FBI identified more than 50 million unique credentials and forms of identification (email addresses, bank accounts, cryptocurrency addresses, credit card numbers, etc.) in the stolen data. While the exact number of victims has yet to be verified, experts believe that millions of potential victims around the world were targeted by the operation.


The credentials appear to include over four million email addresses. The United States does not believe it is in possession of all the data stolen by Raccoon Infostealer and continues to investigate.


Sokolovsky is charged with computer fraud, wire fraud, money laundering and aggravated identity theft.


Sokolovsky faces a maximum penalty of 20 years in prison for the wire fraud and money laundering offenses, five years for the conspiracy to commit computer fraud charge, and a mandatory consecutive two-year term for the aggravated identity theft offense.


He appeared in a US court on February 9 and is currently awaiting trial.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Raccoon Infostealer)**





---




---





## Tags:


### Autogenerated tags:
[[infostealer]] [[sokolovsky]]
