# Magecart campaign abuses legitimate sites to host web skimmers and act as C2
## A new ongoing Magecart web skimmer campaign abuse legitimate websites to act as makeshift command and control (C2) servers. Akamai researchers discovered a new ongoing Magecart web skimmer campaign aimed at stealing personally identifiable information (PII) and credit card information from users in North America, Latin America, and Europe. Magecart attacks target e-commerce websites, the […]
## Information:

+ Link: https://securityaffairs.com/147061/breaking-news/magecart-campaign-abuses-legitimate-websites.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 05 June 2023, 07:58
+ Date scraped: 05 June 2023, 09:03

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-8.png?resize=300%2C300&ssl=1)


## A new ongoing Magecart web skimmer campaign abuse legitimate websites to act as makeshift command and control (C2) servers.


Akamai researchers discovered a new ongoing [Magecart](https://securityaffairs.com/132512/cyber-crime/magecart-attacks-difficult-detect.html) web skimmer campaign aimed at stealing personally identifiable information (PII) and credit card information from users in North America, Latin America, and Europe. 


Magecart attacks target e-commerce websites, the name “Magecart” is derived from the malicious code (JavaScript) typically injected by the attackers into compromised websites.


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

In the recent campaign uncovered by Akamai, threat actors hijack legitimate websites to act as makeshift C2 servers and use them to distribute malware.


*“Attackers employ a number of evasion techniques during the campaign, including obfuscating Base64 and masking the attack to resemble popular third-party services, such as Google Analytics or Google Tag Manager.” reads the [analysis](https://www.akamai.com/blog/security-research/new-magecart-hides-behind-legit-domains) published by Akamai.*


Some of the victim organizations have hundreds of thousands of visitors per month, this implies that their compromise impacted up to tens of thousands of victims. The researchers pointed out that many victims uncovered the attack more than a month after the initial compromise.


The attack chain commences by scanning the web for vulnerable legitimate sites and hacking them to inject malicious code. Attackers used the compromised websites as C2 servers to avoid detection.


*“Rather than using the attackers’ own C2 server to host malicious code, which may be flagged as a malicious domain, attackers hack into (using vulnerabilities or any other means at their disposal) a vulnerable, legitimate site, such as a small or medium-sized retail website, and stash their code within it.” continues the analysis. “In this way, the attackers create a seemingly healthy host for their malicious code, and can deliver it to any victim they choose.”*


Attackers employ small JavaScript code snippets that act as loaders to fetch the final software skimmer from the victims’ websites previously compromised.


Threat actors likely compromised the websites by exploiting known vulnerabilities in popular CMS (such as Magento, WooCommerce, WordPress, Shopify, etc.) or in vulnerable third-party services and components used by the website.


The researchers identified two distinct variations of the skimmer code employed in this ongoing campaign.


The first skimmer code is a heavily obfuscated version that contains a list of CSS selectors which explicitly indicated that the skimmer targeted input fields responsible for capturing PII and credit card details.


The second variation of the skimmer was comparatively less obscured, enabling Akamai researchers to gauge the scope of this campaign by analyzing the indicators present in the code.


Once stolen the data, attackers exfiltrate them through a straightforward HTTP request that is initiated by creating an IMG tag within the software skimmer. The stolen data is then appended to the request as query parameters, encoded as a Base64 string.


[![Magecart](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-8.png?resize=1024%2C636&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-8.png?ssl=1)


*“The primary solution for effectively combating web skimming lies in the utilization of tools and technologies that provide behavioral and anomaly detection” concludes the report. “Traditional static analysis tools prove inadequate in countering web skimmers, as they continually modify their methods and employ increasingly sophisticated techniques that can evade static analysis.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **Magecart**)



  


---


  




## Tags:


### Autogenerated tags:
[[websites]] [[magecart]] [[c2]]
