# Operation Synergia led to the arrest of 31 individuals
## The international law enforcement operation Synergia led to the arrest of 31 individuals involved in cybercriminal activities.
## Information:

+ Link: https://securityaffairs.com/158543/cyber-crime/interpol-operation-synergia.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 02 February 2024, 19:12
+ Date scraped: 02 February 2024, 20:02

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/02/image-1.png)


Operation Synergia was led by Interpol and ran from September to November 2023 involving law enforcement agencies from 50 countries.


The international law enforcement operation was launched to curb the escalation and professionalisation of transnational cybercrime.



Authorities detained 31 individuals, 26 of whom were in Europe, and identified an additional 70 suspects. Four people were arrested in South Sudan and Zimbabwe.


The law enforcement agencies identified more than 1,300 suspicious IP addresses associated with C2 servers, 70% of which have been taken down. Most of the C2 servers taken down were in Europe, while other servers were taken down in Hong Kong (153) and Singapore (86).


[![](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-1.png?resize=1024%2C676&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/02/image-1.png?ssl=1)


*“Operation Synergia demonstrated how cybersecurity is most effective when international law enforcement, national authorities, and private sector partners cooperate to share best practices and pro-actively combat cybercrime. INTERPOL and its Gateway Partners Group-IB, Kaspersky, TrendMicro, Shadowserver and Ad hoc partner Team Cymru provided analysis and intelligence support throughout the operation.” reads the press release published by Interpol.*


The police carried out house searches and seized multiple servers, along with electronic devices.


“The results of this operation, achieved through the collective efforts of multiple countries and partners, show our unwavering commitment to safeguarding the digital space. By dismantling the infrastructure behind phishing, banking malware, and ransomware attacks, we are one step closer to protecting our digital ecosystems and a safer, more secure online experience for all.” said Bernardo Pillot, Assistant Director to INTERPOL Cybercrime Directorate.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Operation Synergia**)




---




---





## Tags:


### Autogenerated tags:
[[cybercrime]]
