# 14 Suspected Cybercriminals Arrested Across Africa in Coordinated Crackdown
## In a coordinated operation across 25 African nations, INTERPOL-AFRIPOL arrested 14 individuals in a crackdown on cybercrime.
## Information:

+ Link: https://thehackernews.com/2023/08/14-suspected-cybercriminals-arrested.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 18 August 2023, 18:10
+ Date scraped: 18 August 2023, 13:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgFcy1D9uQ82Ktu84DGebRRas4XIdhjwaiikY7XqhYwvi3vlYZN5Bd6ZjQ6-Ge9eNhYmnj6OabudVF84cnZ6SC36qmAfesnIaZowE0O1rIDoTfYU6HFMyNUXsvV5RBLU5_VGi9u5QXol2AqyenzfP7BolDfpAVFqo-9fJ4q52uLoDODhqpusyiijzKSINZT/s728-e3650/africa.jpg)


A coordinated law enforcement operation across 25 African countries has led to the arrest of 14 suspected cybercriminals, INTERPOL [announced](https://www.interpol.int/en/News-and-Events/News/2023/Cybercrime-14-arrests-thousands-of-illicit-cyber-networks-disrupted-in-Africa-operation) Friday.


The exercise, conducted in partnership with AFRIPOL, enabled investigators to identify 20,674 cyber networks that were linked to financial losses of more than $40 million.


"The four-month Africa Cyber Surge II operation was launched in April 2023 and focused on identifying cybercriminals and compromised infrastructure," the agency said.


As part of the operation, three suspects were arrested in Cameroon in connection with an online scam involving the fraudulent sale of works of art worth $850,000. Another suspect was arrested in Nigeria for defrauding a Gambian victim.


Also arrested were two money mules linked to scams initiated through messaging platforms.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
The cyber networks comprised 3,786 command-and-control (C2) servers, 14,134 victim IP addresses tied to data stealer infections, 1,415 phishing links and domains, 939 scam IP addresses, and over 400 malicious URLs, IPs, and botnets. Two darknet sites were also taken down.


Group-IB, which was one among the private sector partners involved, [said](https://www.group-ib.com/media-center/press-releases/africa-cyber-surge-ii/) it identified domains, URLs, and server IP addresses used in phishing and malware attacks.


This latest development comes in the wake of [Africa Cyber Surge operation](https://www.interpol.int/en/News-and-Events/News/2022/Operation-across-Africa-identifies-cyber-criminals-and-at-risk-online-infrastructure), which was launched in July 2022 to combat cybercrime and identify compromised infrastructure in the continent.


The first iteration resulted in the arrests of 11 individuals and the dismantling of a dark web market that specialized in selling hacking tools and cybercrime-as-a-service (CaaS) offerings, as well as more than 200,000 pieces of malicious infrastructure.


  





## Tags:


### Autogenerated tags:
[[ip]]
