# Alarming Surge in TrueBot Activity Revealed with New Delivery Vectors
## 🚨 TrueBot, the notorious downloader trojan botnet, is back! Cybersecurity researchers reveal its latest activity surge.
## Information:

+ Link: https://thehackernews.com/2023/06/alarming-surge-in-truebot-activity.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 June 2023, 10:01
+ Date scraped: 05 June 2023, 05:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjtCUtclieBm7q3WHuJvipjhOLRuK7hAutozP9mVVSPCB_DRINWdyExRdP-BIRYELV5ALXdXWDxD-96Zb1_N5uiCDFSqqnk5KOxe05kz9QwzJOubrRNpvCsic1bbggDD-PyBiToAZXmW5CnbnWQTZpWvNzi0cWCefgwNzVoniJlHseV82RMFKfN7Qvk/s728-e3650/bot.jpg)


A surge in TrueBot activity was observed in May 2023, cybersecurity researchers disclosed.


"TrueBot is a downloader trojan botnet that uses command and control servers to collect information on compromised systems and uses that compromised system as a launching point for further attacks," VMware's Fae Carlisle [said](https://blogs.vmware.com/security/2023/06/carbon-blacks-truebot-detection.html).


Active since at least 2017, TrueBot is linked to a group known as Silence that's believed to share overlaps with the notorious Russian cybercrime actor known as [Evil Corp](https://thehackernews.com/2022/06/evil-corp-cybercrime-group-shifts-to.html).


Recent [TrueBot infections](https://thehackernews.com/2022/12/new-truebot-malware-variant-leveraging.html) have leveraged a critical flaw in Netwrix auditor ([CVE-2022-31199](https://thehackernews.com/2022/07/new-netwrix-auditor-bug-could-let.html), CVSS score: 9.8) as well as [Raspberry Robin](https://securitynews.sonicwall.com/xmlpost/dont-get-caught-by-raspberry-robin-dissecting-the-evasion-methods/) as delivery vectors.


[![TrueBot](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEghuN4kZGDVzHPttnD5z82V9VbX-KKEiaoaqfPJBSVNOj6wlgtC8oK_NHUalOJq9iBA41qjOtcXEnUUv3dT8NN6u5Iac8iloZiBZUjhu3_kKCr8xTmHdH9kjpJVBK5DUPLnc9yxBKjU_7y4esteYMo8oCF8Z2GlfZ06VWLeO0RY0wZ9f1kbowGOmctR/s728-e365/cmd.jpg)
The attack chain documented by VMware, on the other hand, starts off with a drive-by-download of an executable named "[update.exe](https://www.virustotal.com/gui/file/fe746402c74ac329231ae1b5dffa8229b509f4c15a0f5085617f14f0c1579040/detection)" from Google Chrome, suggesting that users are lured into downloading the malware under the pretext of a software update.


Once run, update.exe establishes connections with a known TrueBot IP address located in Russia to retrieve a second-stage executable ("3ujwy2rz7v.exe") that's subsequently launched using Windows Command Prompt.


The executable, for its part, connects to a command-and-control (C2) domain and exfiltrates sensitive information from the host. It's also capable of process and system enumeration.


 UPCOMING WEBINAR 🔐 Mastering API Security: Understanding Your True Attack Surface Discover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

 [Join the Session](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
"TrueBot can be a particularly nasty infection for any network," Carlisle said. "When an organization is infected with this malware, it can quickly escalate to become a bigger infection, similar to how ransomware spreads throughout a network."


The findings come as SonicWall detailed a new variant of another downloader malware known as [GuLoader](https://thehackernews.com/2023/02/guloader-malware-using-malicious-nsis.html) (aka CloudEyE) that's used to deliver a wide range of malware such as Agent Tesla, Azorult, and Remcos.


"In the latest variant of GuLoader, it introduces new ways to raise exceptions that hamper complete analysis process and its execution under controlled environment," SonicWall [said](https://securitynews.sonicwall.com/xmlpost/guloader-demystified-unraveling-its-vectored-exception-handler-approach/).



  





## Tags:
***CVE's***: CVE-2022-31199

### Autogenerated tags:
[[truebot]] [[malware]]
