# Chinese Hackers Target Government Officials in Europe, South America, and Middle East
## Hackers from China used the PlugX malware to attack government officials in Europe, the Middle East, and South America.
## Information:

+ Link: https://thehackernews.com/2022/09/chinese-hackers-target-government.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 08 September 2022, 11:02
+ Date scraped: 08 September 2022, 13:48

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhy0MCVPD4TLTFhZdJed1IryxvxG0nORJrK_EN3MdPnl9zI2lgbh1wzC2Y1ONkMotVLy6nGVylsNAn9Aul79Y3oEfnAmmBaQ_ayEJQu6ztJL2ELl4rnND46j4Y1Yn0y08G79ebYlIdbxI72I7eVEI_G6jwEqnYd4iZiMji9mCTB9YvyKgDyKSLodQvU/s728-e1000/china.jpg)


A Chinese hacking group has been attributed to a new campaign aimed at infecting government officials in Europe, the Middle East, and South America with a modular malware known as PlugX.


Cybersecurity firm Secureworks said it identified the intrusions in June and July 2022, once again demonstrating the adversary's continued focus on espionage against governments around the world.


"PlugX is modular malware that contacts a command and control (C2) server for tasking and can download additional plugins to enhance its capability beyond basic information gathering," Secureworks Counter Threat Unit (CTU) said in a [report](https://www.secureworks.com/research/bronze-starlight-ransomware-operations-use-hui-loader) shared with The Hacker News.


Bronze President is a China-based threat actor active since at least July 2018 and is likely estimated to be a state-sponsored group that leverages a mix of proprietary and publicly available tools to compromise and collect data from its targets.


It's also publicly documented under other names such as HoneyMyte, Mustang Panda, Red Lich, and Temp.Hex. One of its primary tools of choice is PlugX, a remote access trojan that has been widely shared among Chinese adversarial collectives.


Earlier this year, the group was observed [targeting Russian government officials](https://thehackernews.com/2022/04/chinese-hackers-targeting-russian.html) with an updated version of the PlugX backdoor called [Hodur](https://thehackernews.com/2022/03/chinese-mustang-panda-hackers-spotted.html), [alongside entities](https://thehackernews.com/2022/05/experts-uncover-new-espionage-attacks.html) located in Asia, the European Union, and the U.S.


Secureworks' attribution of the latest campaign to Bronze President stems from the use of PlugX and politically-themed lure documents that align with regions that are of strategic importance to China.


Attack chains distribute RAR archive files that contain a Windows shortcut (.LNK) file masquerading as a PDF document, opening which executes a legitimate file present in a nested hidden folder embedded within the archive.


This then paves the way for dropping a decoy document, while the PlugX payload sets up persistence on the infected host.


"BRONZE PRESIDENT has demonstrated an ability to pivot quickly for new intelligence collection opportunities," the researchers said. "Organizations in geographic regions of interest to China should closely monitor this group's activities, especially organizations associated with or operating as government agencies."


  





## Tags:


### Autogenerated tags:
[[plugx]] [[secureworks]]
