# Malicious Ads Targeting Chinese Users with Fake Notepad++ and VNote Installers
## Chinese users searching for Notepad++ & VNote on engines like Baidu face malicious ads leading to fake versions with trojans.
## Information:

+ Link: https://thehackernews.com/2024/03/malicious-ads-targeting-chinese-users.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 15 March 2024, 11:48
+ Date scraped: 15 March 2024, 07:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgiMDfs339flChbFGf3_fpTM5QE9t_zbZHVk4B14sEQPLhc9Z8wcsnsg5Szl-P9GiFWrz-Il1bpVLCyJwcPJL6LqyAe1iC5e394glG98jegZ_OvlUovswO-erglRNLjU0uvquBu1RG-dA-RuaEPJSBGcUp7I9Q-G3xktyEemW7kAqb1lvyw5HvCbCTu_SOo/s728-rw-e365/notepad.jpg)


Chinese users looking for legitimate software such as Notepad++ and VNote on search engines like Baidu are being targeted with malicious ads and bogus links to distribute trojanized versions of the software and ultimately deploy [Geacon](https://thehackernews.com/2023/05/hackers-using-golang-variant-of-cobalt.html), a Golang-based implementation of Cobalt Strike.


"The malicious site found in the notepad++ search is distributed through an advertisement block," Kaspersky researcher Sergey Puzan [said](https://securelist.com/trojanized-text-editor-apps/112167/).


"Opening it, an attentive user will immediately notice an amusing inconsistency: the website address contains the line vnote, the title offers a download of Notepad‐‐ (an analog of Notepad++, also distributed as open-source software), while the image proudly shows Notepad++. In fact, the packages downloaded from here contain Notepad‐‐."


The website, named vnote.fuwenkeji[.]cn, contains download links to Windows, Linux, and macOS versions of the software, with the link to the Windows variant pointing to the official [Gitee repository](https://gitee.com/cxasm/notepad--/releases/) containing the Notepad-- installer ("Notepad--v2.10.0-plugin-Installer.exe").


The Linux and macOS versions, on the other hand, lead to malicious installation packages hosted on vnote-1321786806.cos.ap-hongkong.myqcloud[.]com.


[![Notepad++ and VNote Installers](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh3YL9jZK7dcH5jib8hlhMY1xORRnUyVlmNPonZS_kkY7JlxrIpLTmPlwZh7FvPUkLJxPQ4z5_4VdkPJVrhKpuDRySlZf43o03ZT_NuV0MVd-puk_U1K6YsddJLxgjDBN87Zc0cekaCuH2SNdZhqoJturGoR4-d2kl5OLKroc99QBzBiRFLlQE_HglMJdvo/s728-rw-e365/vnote.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh3YL9jZK7dcH5jib8hlhMY1xORRnUyVlmNPonZS_kkY7JlxrIpLTmPlwZh7FvPUkLJxPQ4z5_4VdkPJVrhKpuDRySlZf43o03ZT_NuV0MVd-puk_U1K6YsddJLxgjDBN87Zc0cekaCuH2SNdZhqoJturGoR4-d2kl5OLKroc99QBzBiRFLlQE_HglMJdvo/s728-rw-e365/vnote.jpg)
In a similar fashion, the fake look-alike websites for VNote ("vnote[.]info" and "vnotepad[.]com") lead to the same set of myqcloud[.]com links, in this case, also pointing to a Windows installer hosted on the domain. That said, the links to the potentially malicious versions of VNote are no longer active.


An analysis of the modified Notepad-- installers reveals that they are designed to retrieve a next-stage payload from a remote server, a backdoor that exhibits similarities with Geacon.


It's capable of creating SSH connections, performing file operations, enumerating processes, accessing clipboard content, executing files, uploading and downloading files, taking screenshots, and even entering into sleep mode. Command-and-control (C2) is facilitated by means of HTTPS protocol.


The development comes as malvertising campaigns have also [acted](https://www.broadcom.com/support/security-center/protection-bulletin/fakebat-malware-spread-via-malvertising) as a conduit for other malware such as [FakeBat](https://thehackernews.com/2024/01/atomic-stealer-gets-upgrade-targeting.html) (aka EugenLoader) malware with the help of MSIX installer files masquerading as Microsoft OneNote, Notion, and Trello.

 
  





## Tags:
***urls***: http://vnotepad.com http://vnote.info http://myqcloud.com http://vnote.fuwenkeji.cn http://vnote-1321786806.cos.ap-hongkong.myqcloud.com

### Autogenerated tags:
[[notepad++]] [[vnote]] [[windows]]
