# New 'Bad Magic' Cyber Threat Disrupt Ukraine's Key Sectors Amid War
## New "Bad Magic" activity cluster targeting gov't, agriculture & transportation orgs in Donetsk, Lugansk & Crimea amid ongoing Russia-Ukraine war.
## Information:

+ Link: https://thehackernews.com/2023/03/new-bad-magic-cyber-threat-disrupt.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 21 March 2023, 15:01
+ Date scraped: 21 March 2023, 16:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhlNV28ZruCGm_-xVy5q2kQRVN-gP-MlaeAobAtNhUi-hM4Cy1hv2XLTHZ6I8bwOhk12VlcpPJGtPLLhjcHwkGJIeoFJK8as9mgqOoa9dk7RmlgINmk9TbPfOjd5gyrfop5UM63cC_Si4hOmS7Pz84Qc1e2ZEyYn6ShqgtwylmUgn0xgld1xCZ5E1fV/s728-e3650/loader.png)


Amid the [ongoing war](https://thehackernews.com/2023/03/from-ransomware-to-cyber-espionage-55.html) between Russia and Ukraine, government, agriculture, and transportation organizations located in Donetsk, Lugansk, and Crimea have been attacked as part of an active campaign that drops a previously unseen, modular framework dubbed **CommonMagic**.


"Although the initial vector of compromise is unclear, the details of the next stage imply the use of spear phishing or similar methods," Kaspersky [said](https://securelist.com/bad-magic-apt/109087/) in a new report.


The Russian cybersecurity company, which detected the attacks in October 2022, is tracking the activity cluster under the name "Bad Magic."


Attack chains entail the use of booby-trapped URLS pointing to a ZIP archive hosted on a malicious web server. The file, when opened, contains a decoy document and a malicious LNK file that culminates in the deployment of a backdoor named PowerMagic.


Written in PowerShell, PowerMagic establishes contact with a remote server and executes arbitrary commands, the results of which are exfiltrated to cloud services like Dropbox and Microsoft OneDrive.


[![Cyber Threat](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgkAwRFoxgUrW8FWUNvVzZJ4sRjdz_2VZzrLvzkRRR5zQbhGe9gU5yVE3N8D0j6-BhHym92QcS0Lr7t56cWNp3hMHjG3FYKAqadwKaZCNsCP4Ff8W7y8btCALTdoXPwzVsFF2x4DPHqknQcc490ghnnN-Ce03QuwubcFwe9Xq9SY3Q2M_t4QcnpmGD4/s728-e365/powermagic.png)
PowerMagic also serves as a conduit to deliver the CommonMagic framework, a set of executable modules that are designed to carry out specific tasks such as interacting with the command-and-control (C2) server, encrypting and decrypting C2 traffic, and executing plugins.


Two of the plugins discovered so far come with capabilities to capture screenshots every three seconds and gather files of interest from connected USB devices.


Kaspersky said it found no evidence linking the operation and its tooling to any known threat actor or group.



  





## Tags:


### Autogenerated tags:
[[powermagic]]
