# New Bandook RAT Variant Resurfaces, Targeting Windows Machines
## New Bandook Trojan variant targets Windows users! Disguised in phishing emails as PDFs.
## Information:

+ Link: https://thehackernews.com/2024/01/new-bandook-rat-variant-resurfaces.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 05 January 2024, 10:46
+ Date scraped: 05 January 2024, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjldEdWkuCd4yyy3PBv0fBF5a0AcGkmf49ssVCzpBH07nlrh7IrvFBwji9ZvULtpIO3DJQ0Vq3n8wIJobGNzymuJP1xT14btRIewk28KssUuoSw3lyyRkkQrp0qRZ4r5e8Y4Wkm62j1DOskyB_t-bVl09SqZWIY-ZOsrsAPCXN0pRJaLN-TtWqol9jB7q0i/s728-rw-ft-e30/windows.jpg)


A new variant of remote access trojan called **Bandook** has been observed being propagated via phishing attacks with an aim to infiltrate Windows machines, underscoring the continuous evolution of the malware.


Fortinet FortiGuard Labs, which identified the activity in October 2023, said the malware is distributed via a PDF file that embeds a link to a password-protected .7z archive.


"After the victim extracts the malware with the password in the PDF file, the malware injects its payload into msinfo32.exe," security researcher Pei Han Liao [said](https://www.fortinet.com/blog/threat-research/bandook-persistent-threat-that-keeps-evolving).


Bandook, first detected in 2007, is an [off-the-shelf malware](https://thehackernews.com/2020/11/digitally-signed-bandook-malware-once.html) that comes with a wide range of features to remotely gain control of the infected systems.


In July 2021, Slovak cybersecurity firm ESET [detailed](https://thehackernews.com/2021/07/experts-uncover-malware-attacks.html) a cyber espionage campaign that leveraged an upgraded variant of Bandook to breach corporate networks in Spanish-speaking countries such as Venezuela.


[![Bandook RAT](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEikXIuvMUNZ95JzyNpdm79xOeooRgEUhTvP20ge99-uLk-usoeaXvCpCQTqTrrFBBkpGvtfvGOGRgN8rhVpvL0Y3WnLKOVlE97G0W2Q-ykf-wBx_pIhK_nrf-EZj6GatJWT-4yR-bTSIvQZdV08I93gFpU-WNO8We_BBmSIj4TqeOCgTRDYsU42DP2QjgcC/s728-rw-ft-e30/code.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEikXIuvMUNZ95JzyNpdm79xOeooRgEUhTvP20ge99-uLk-usoeaXvCpCQTqTrrFBBkpGvtfvGOGRgN8rhVpvL0Y3WnLKOVlE97G0W2Q-ykf-wBx_pIhK_nrf-EZj6GatJWT-4yR-bTSIvQZdV08I93gFpU-WNO8We_BBmSIj4TqeOCgTRDYsU42DP2QjgcC/s728-rw-ft-e30/code.jpg)
The starting point of the latest attack sequence is an injector component that's designed to decrypt and load the payload into [msinfo32.exe](https://support.microsoft.com/en-us/topic/description-of-microsoft-system-information-msinfo32-exe-tool-10d335d8-5834-90b4-8452-42c58e61f9fc), a legitimate Windows binary that gathers system information to diagnose computer issues.


The malware, besides making Windows Registry changes to establish persistence on the compromised host, establishes contact with a command-and-control (C2) server to retrieve additional payloads and instructions.


"These actions can be roughly categorized as file manipulation, registry manipulation, download, information stealing, file execution, invocation of functions in DLLs from the C2, controlling the victim's computer, process killing, and uninstalling the malware," Han Liao said.

 
  





## Tags:


### Autogenerated tags:
[[malware]] [[bandook]] [[windows]]
