# Pakistan-Origin SideCopy Linked to New Cyberattack on India's Ministry of Defence
## APT group SideCopy, known for targeting India & Afghanistan, has launched a new phishing campaign delivering Action RAT.
## Information:

+ Link: https://thehackernews.com/2023/03/pakistan-origin-sidecopy-linked-to-new.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 28 March 2023, 12:31
+ Date scraped: 28 March 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj9JVo5ndAfxmwzzJZEpXnfQ84nTkRbbxZq6C0Fie5dYmvFibIOkMky8sV_w3j7qZZe-wJkO1aWQkuEYcPJ1gi8FzQ_6IOtr4AUA5JJkyGJiDdLLGS0c4LKm3r8d5CSpIxrvZPIdxsfnDGNU7ikBNw2iB8181UPv4yM-jw-n25bqdRBnUuqlOF8H-GH/s728-e3650/hacking.png)


An advanced persistent threat (APT) group that has a track record of targeting India and Afghanistan has been linked to a new phishing campaign that delivers Action RAT.


According to Cyble, which [attributed](https://blog.cyble.com/2023/03/21/notorious-sidecopy-apt-group-sets-sights-on-indias-drdo/) the operation to **SideCopy**, the activity cluster is designed to target the Defence Research and Development Organization ([DRDO](https://www.drdo.gov.in/about-drdo)), the research and development wing of India's Ministry of Defence.


Known for emulating the infection chains associated with [SideWinder](https://thehackernews.com/2023/02/researchers-link-sidewinder-group-to.html) to deliver its own malware, SideCopy is a threat group of Pakistani origin that shares overlaps with [Transparent Tribe](https://thehackernews.com/2022/11/researchers-detail-new-malware-campaign.html). It has been active since at least 2019.


Attack chains mounted by the group involve using spear-phishing emails to gain initial access. These messages come bearing a ZIP archive file that contains a Windows shortcut file (.LNK) masquerading as information about the [K-4 ballistic missile](https://en.wikipedia.org/wiki/K-4_(missile)) developed by DRDO.


Executing the .LNK file leads to the retrieval of an HTML application from a remote server, which, in turn, displays a decoy presentation, while also stealthily deploying the Action RAT backdoor.


The malware, in addition to gathering information about the victim machine, is capable of running commands sent from a command-and-control (C2) server, including harvesting files and dropping follow-on malware.


[![Pakistani Hackers](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgU-owzGGNkVVetWesl8pYoscZB1EaIyngQkd4o-gdKLHfGtIxhAkON4Snt2Jm3jpXE0g6pNJ1e7NfpX8UxxAV9KSbhE4vKOA3vWFhUMlKIAHuLgFeB2rhJMqeDEKkUZbPvkMnR6Wk-fLALaLS7z0LuFHKwlsBP90Lr2Mt318y1UF24zeHyc0NQaAoc/s728-e365/drdo.png)
Also deployed is a new information-stealing malware referred to as AuTo Stealer that's equipped to gather and exfiltrate Microsoft Office files, PDF documents, database and text files, and images over HTTP or TCP.


"The APT group continuously evolves its techniques while incorporating new tools into its arsenal," Cyble noted.


This is not the first time SideCopy has employed Action RAT in its attacks directed against India. In December 2021, Malwarebytes [disclosed](https://thehackernews.com/2021/12/researchers-detail-how-pakistani.html) a set of intrusions that breached a number of ministries in Afghanistan and a shared government computer in India to steal sensitive credentials.


The latest findings arrive a month after the adversarial crew was [spotted](https://nsfocusglobal.com/indian-government-agencies-targeted-in-phishing-attacks-by-apt-group-sidecopy/) [targeting Indian government agencies](https://thehackernews.com/2023/02/researchers-warn-of-reverserat-backdoor.html) with a remote access trojan dubbed ReverseRAT.



  





## Tags:


### Autogenerated tags:
[[malware]] [[sidecopy]]
