# Warning: GravityRAT Android Trojan Steals WhatsApp Backups and Deletes Files
## Attention Android users: Beware of the latest version of GravityRAT! It disguises itself as messaging apps, stealing WhatsApp backups, deleting files
## Information:

+ Link: https://thehackernews.com/2023/06/warning-gravityrat-android-trojan.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 June 2023, 18:30
+ Date scraped: 15 June 2023, 14:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiPeLRUjfwQQnZd2bem6NFs5XX9t-t7auw52BwUCCeD-Xx1PorkRAssEQFuE6As9tTpDXNHc3fgT0DsyaFjptzgJndeTKHocRRTQY_08OsXLDTUf7mmtdtKrjFoY1e21v5vRSIXKI0WP3AgsSpwCUBIckidRiUA66LEctCU6iQ1I1ADnAUGKJvTq5_e/s728-e3650/android.jpg)


An updated version of an Android remote access trojan dubbed **GravityRAT** has been found masquerading as messaging apps BingeChat and Chatico as part of a narrowly targeted campaign since June 2022.


"Notable in the newly discovered campaign, GravityRAT can exfiltrate WhatsApp backups and receive commands to delete files," ESET researcher Lukáš Štefanko [said](https://www.welivesecurity.com/2023/06/15/android-gravityrat-goes-after-whatsapp-backups/) in a new report published today.


"The malicious apps also provide legitimate chat functionality based on the open-source [OMEMO](https://github.com/froghorn82/omemo-im) Instant Messenger app."


GravityRAT is the name given to a [cross-platform malware](https://thehackernews.com/2020/10/windows-gravityrat-malware-now-also.html) that's capable of targeting Windows, Android, and macOS devices. The Slovak cybersecurity firm is tracking the activity under the name SpaceCobra.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-1)
The threat actor is suspected to be based in Pakistan, with recent attacks involving GravityRAT targeting military personnel in India and among the Pakistan Air Force by camouflaging it as cloud storage and entertainment apps, as [disclosed](https://thehackernews.com/2023/05/meta-uncovers-massive-social-media.html) by Meta last month.


The use of chat apps as a lure to distribute the malware was previously highlighted in November 2021 by Cyble, which [analyzed](https://blog.cyble.com/2021/11/11/gravity-rat-malware-returns-as-a-chat-application/) a sample named "SoSafe Chat" that was uploaded to the VirusTotal database from India.


The chat apps, while not available on Google Play, are distributed through rogue websites promoting free messaging services: bingechat[.]net and chatico[.]co[.]uk.


"This group used fictitious personas — posing as recruiters for both legitimate and fake defense companies and governments, military personnel, journalists, and women looking to make a romantic connection — in an attempt to build trust with the people they targeted," Meta said in its Quarterly Adversarial Threat Report.


[![GravityRAT Android Trojan](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjrkE2JeIitG7W0RdY-W9-TCsJbueYBo7jb0WJi3z1Hf7LjxBG2yZZ9yAOiEo_5f0NGQ97Xff450sh49g6PzD8PkfSgCJwTpL_A90QlYA1DkIxr-Wc-Utp6ZClFMXtSrMQtNUJqvcFSsDSnFWGUCPoXnTl-gPMdfJ0vpppgP3wxUxKYUnOA__jNEcAd/s728-e365/cc.jpg)
The modus operandi suggests that potential targets are contacted on Facebook and Instagram with the goal of tricking them into clicking on the links and downloading the malicious apps.


GravityRAT, like most Android backdoors, requests for intrusive permissions under the garb of a seemingly legitimate app to harvest sensitive information such as contacts, SMSes, call logs, files, location data, and audio recordings without the victim's knowledge.


The captured data is ultimately exfiltrated to a remote server under the threat actor's control. It's worth noting that using the app is conditional on having an account.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Supercharge Your Skills](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
What makes the new version of GravityRAT stand out is its ability to steal WhatsApp backup files and receive instructions from the command-and-control (C2) server to delete call logs, contact lists, and files with particular extensions.


"These are very specific commands that are not typically seen in Android malware," Štefanko pointed out.


The development comes as Android users in Vietnam have been victimized by a new strain of banking cum stealer malware known as [HelloTeacher](https://blog.cyble.com/2023/06/05/helloteacher-new-android-malware-targeting-banking-users-in-vietnam/) that uses legitimate messaging apps like Viber or Kik as a cover to siphon sensitive data and carry out unauthorized fund transfers by abusing the [accessibility services API](https://thehackernews.com/2023/06/over-60k-adware-apps-posing-as-cracked.html).


Also discovered by Cyble is a cloud mining scam that "prompts users to download a malicious application to start mining," only to take advantage of its permissions to the accessibility services to gather sensitive information from cryptocurrency wallets and banking apps.


The financial trojan, codenamed Roamer, exemplifies the trend of utilizing phishing websites and Telegram channels as distribution vectors, thereby effectively widening the potential victim pool.


"Users must exercise caution and refrain from following suspicious cryptocurrency mining channels on platforms like Telegram, as these channels can lead to substantial financial losses and compromise sensitive personal data," Cyble [said](https://blog.cyble.com/2023/06/14/cloud-mining-scam-distributes-roamer-banking-trojan/).


  





## Tags:
***urls***: http://chatico.co.uk http://bingechat.net

### Autogenerated tags:
[[apps]] [[gravityrat]] [[android]] [[malware]] [[cyble]] [[api]]
