# Interpol arrests more than 30 cybercriminals in global ‘Synergia’ operation
## International law enforcement announced Thursday that they detained 31 suspected cybercriminals and identified 1,300 malicious servers that they used to carry out phishing attacks and distribute malware.
## Information:

+ Link: https://therecord.media/interpol-arrests-cybercriminals-in-large-operation
+ Source: The Record
+ Author: Daryna Antoniuk
+ Date published: 01 February 2024, 00:00
+ Date scraped: 01 February 2024, 16:03

## Article:
![Main article image](https://cms.therecord.media/uploads/kenny_eliason_J_Xg7_Yq5b1w_E_unsplash_48aee4ca3b.jpg)

International law enforcement announced Thursday that they detained 31 suspected cybercriminals and identified 1,300 malicious servers that they used to carry out phishing attacks and distribute malware.


Interpol’s so-called Operation Synergia, which ran from September to November 2023, “was launched in response to the clear growth, escalation and professionalization of transnational cybercrime and the need for coordinated action against new cyber threats,” Interpol said in a [statement](https://www.interpol.int/fr/Actualites-et-evenements/Actualites/2024/INTERPOL-led-operation-targets-growing-cyber-threats) on Thursday.


Nearly 60 law enforcement agencies and several private companies were involved in the operation. They took down 70% of the identified command-and-control (C2) servers — mostly in Europe, Hong Kong and Singapore — while others are currently under investigation.


In addition to the 31 arrests, Interpol identified an additional 70 suspects responsible for phishing attacks, spreading banking malware, and distributing ransomware.


Interpol [said](https://www.unodc.org/documents/Cybercrime/AdHocCommittee/Concluding_session/Submissions/Multi-Stakeholders/INTERPOL_Contribution_to_the_AHC_Concluding_Session.pdf) that during the investigation they uncovered major cybercrime groups but did not specify which ones. The agency did not immediately respond to a request for comment.


“The results of this operation, achieved through the collective efforts of multiple countries and partners, show our unwavering commitment to safeguarding the digital space,” said Bernardo Pillot, assistant director of the Interpol Cybercrime Directorate.


“By dismantling the infrastructure behind phishing, banking malware, and ransomware attacks, we are one step closer to protecting our digital ecosystems and a safer, more secure online experience for all,” he added.

[Previous article](/federal-civilian-agencies-ordered-to-disconnect-at-risk-ivanti-products-cisa)[All federal civilian agencies ordered to disconnect at-risk Ivanti products by Friday](/federal-civilian-agencies-ordered-to-disconnect-at-risk-ivanti-products-cisa)No new articles


## Tags:


### Autogenerated tags:
[[phishing]] [[malware]] [[cybercrime]]
