# Arc browser’s Windows launch targeted by Google ads malvertising
## A new Google Ads malvertising campaign, coinciding with the launch of the Arc web browser for Windows, was tricking people into downloading trojanized installers that infect them with malware payloads.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/arc-browsers-windows-launch-targeted-by-google-ads-malvertising/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 25 May 2024, 11:17
+ Date scraped: 25 May 2024, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/15/cyber-smiley-lower.jpg)



A new Google Ads malvertising campaign, coinciding with the launch of the Arc web browser for Windows, was tricking people into downloading trojanized installers that infect them with malware payloads.


The Arc browser is a new web browser featuring an innovative user interface design that sets it apart from traditional browsers.


Launched in July 2023 for macOS and after receiving glowing reviews from tech publications and users, its recent launch on Windows was highly anticipated.


Cybercriminals target Arc for Windows launch
--------------------------------------------


According to a [report by Malwarebytes](https://www.threatdown.com/blog/threat-actors-ride-the-hype-for-newly-released-arc-browser/), cybercriminals prepared for the product launch, setting up malicious advertisements on Google Search to lure users looking to download the new web browser.


Google's ad platform has a significant problem that allows threat actors to take out ads displaying legitimate URLs, which has been abused to target [Amazon](https://www.bleepingcomputer.com/news/security/sneaky-amazon-google-ad-leads-to-microsoft-support-scam/), [Whales Market](https://www.bleepingcomputer.com/news/security/google-ad-impersonates-whales-market-to-push-wallet-drainer-malware/), [WebEx](https://www.bleepingcomputer.com/news/security/fake-cisco-webex-google-ads-abuse-tracking-templates-to-push-malware/), and Google's own video platform, [YouTube](https://www.bleepingcomputer.com/news/security/convincing-youtube-google-ads-lead-to-windows-support-scams/).


Malwarebytes found promoted results for the search terms "arc installer" and "arc browser windows" displaying the correct URL for Arc.



![Malicious Arc ads on Google Search](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/21/ads.jpg)

**Malicious Arc ads on Google Search**  
*Source: Malwarebytes*




However, after clicking the advertisement, searchers are redirected to typo-squatted domains that visually resemble the genuine website.



![Typosquatting clone sites dropping malware](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/21/redirect.jpg)

**Typosquatting clone sites dropping malware**  
*Source: Malwarebytes*




If the "Download" button is clicked, a trojanized installer file is retrieved from the MEGA hosting platform, which downloads an additional malicious payload named 'bootstrap.exe' from an external resource.



![The trojanized installer](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/21/installer.jpg)

**The trojanized installer**  
*Source: Malwarebytes*




MEGA's API is abused for command and control (C2) operations, sending and receiving operational instructions and data.



![Data exchange containing stolen user data (encrypted)](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/21/exchange.jpg)

**Data exchange containing stolen user data (encrypted)**  
*Source: Malwarebytes*




The installer file fetches a PNG file containing malicious code that compiles and drops the final payload, 'JRWeb.exe,' onto the victim's disk.


Malwarebytes also observed a separate infection chain that involves the installer using a Python executable to inject code into msbuild.exe, which queries an external site to retrieve commands for execution.


The analysts suggest that the final payload in these attacks is an info-stealer, though this hasn't been determined yet.


Due to the Arc browser getting installed as expected on the victim's machine and the malicious files running stealthily in the background, it's unlikely for the victim to realize they have now become infected with malware.


Threat actors capitalizing on the hype surrounding new software/game launches isn't new, but continues to be an effective method to distribute malware.


Users looking to download software should skip all promoted results on Google Search, use ad blockers that hide those results, and bookmark official project websites for future use.


Additionally, always verify the authenticity of the domains you're about to download installers from, and always scan downloaded files on an up-to-date AV tool before executing them.





## Tags:


### Autogenerated tags:
[[malwarebytes]] [[google]] [[windows]] [[trojanized]] [[malware]]
