# Xenomorph - Android Banking Trojan Distributed on the official Google Play
## The operators of Xenomorph distribute the trojan through one app, Fast Cleaner which has more than 50,000 downloads, but, currently, Google has already removed this application from Play Store.
## Information:

+ Link: https://cybersecuritynews.com/?p=8694
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 23 February 2022, 06:25
+ Date scraped: 23 February 2022, 06:35

## Article:
![Main article image](https://blogger.googleusercontent.com/img/a/AVvXsEjFkAW-b5fzUHmg0YGD0phvW3Um7qU97InPogpqZsWBnCXp7XFVMQspyZW52yQE-xmLOMPT7rEPqkpE0345CG7fmOMrF1e2cwPJ1QFD6ZlyDuDWrvOtUo1JVFA3YlcO6mmozBJJ2D5Cj0SvWw35rStH98QD5s8mXsVS99CpJ71k4m4poG7BK0Qh2B-vsg=s16000)

The cybersecurity firm, ThreatFabric has recently identified a new banking trojan, Xenomorph, that is distributed on the official Android app store, Google Play Store.

This new banking trojan primarily attacks the users from the following countries:-

* Spain
* Portugal
* Italy
* Belgium

In Google Play Store, the operators of Xenomorph distribute the trojan through one app, Fast Cleaner which has more than 50,000 downloads, but, currently, Google has already removed this application from Play Store.

![](https://lh5.googleusercontent.com/XT4K5bIMlx3POu-_Y0Xfs17dSGlHqLWU_0fXCPh94XVvXMEVSXCb5ULx1VgMfhR7-XlvsoYFhL28Sz0usmZIoSEB7O_zjzhLKw7cO96oeAc-9dbRyhif_KUJPOlmDDNB-fH5T7qN)This application contained the Gymdrop dropper that has successfully passed all the security barriers of Google.

### **Apps Targeted**

On further analysis, it has been found that this banking trojan is classified as a classic banking trojan that particularly infects Android devices to request the Accessibility service permission and then displays fake login screens to the users by overlaying them on top of the banking apps.

![](https://lh4.googleusercontent.com/m9lbIZhyeo5NtSUuPKhNqJ0wFLmbR5WVN1KzCBelDw8O5ibPf_C0e52K9jvxgP6Rgc_lWE2wUbjbi13cffukvSLgWPLZtXvS_Gy8hg-9eqm6zrPgKk1_4CluqIFoAzmjKMXCgH-W)Xenomorph trojan can show such fake login screens for several banking apps, cryptocurrency wallets, and email apps in Spain, Portugal, Italy, and Belgium.

![](https://lh4.googleusercontent.com/hdSTynGRs7elQmIwIe-J813JM2p6ckqWohbVk-720laeVrNexxeXO2ME0RL9tFADomHEZoy1q_5OqSifP7ISCZvuuvcCX59pCim6W30H3hhLOem3yolRKimXKu1IFLKF5wu7FfRq)And here are the number of banking, crypto wallet, and email apps targeted:-

* 56 banking apps
* 12 cryptocurrency wallets
* 7 email apps

![](https://lh3.googleusercontent.com/miaie38VY5_n16I_alTNk1Z2-4BV4T1616-_F7kU_7NJsZT86cObJat-x0TnZEdYcKZoIMCWbODrhcAyNBN7p5sfyK4ZkMsglV2xArbUQ1Cb3_PalfWS2LpKLSSS_M6U8rzhJ3Mp)### **Distribution**

This banking trojan also collects other data regarding the device and then transfers those data to the servers that are controlled by the threat actors.

While the data stolen by the trojan are used by the attackers to access the bank accounts and steal funds of their targets. Not only that, but even Xenomorph also has the ability to intercept the two-factor authentication.

However, the worst thing, in this case, is the channel of distribution; as here, the threat actors are abusing the Google Play Store to distribute Xenomorph and, during the second stage of infection, deliver it as a payload.

#### **Capabilities**

Here below, we have mentioned all the key features and abilities of Xenomorph banking trojan:-

* Abuse Google Play Store as a dropper.
* Harvest all the key information about the device.
* Harvest SMS.
* Overlay Attack.
* Notification interception.
* SMS interception.
* Uninstall prevention.
* Multiple C2.

The Xenomorph trojan shows several similar signs that are noted in the Alien banking trojan; in short, it could be the successor of the Alien banking trojan.

Moreover, the security [analysts](https://www.threatfabric.com/blogs/xenomorph-a-newly-hatched-banking-trojan.html) have claimed that Xenomorph is currently under development, and the recent acts of this trojan have clearly depicted that it’s a serious threat.




## Tags:


### Autogenerated tags:
[[xenomorph]] [[google]] [[apps]]
