# Courtroom Recording Platform Abused in Supply Chain Attack
## With more than 10,000 installations across prisons, courts, and governments, impacted Justice AV Solutions users are urged to re-image affected endpoints and reset credentials.
## Information:

+ Link: https://www.darkreading.com/cyberattacks-data-breaches/courtroom-recording-platform-javs-hijacked-for-supply-chain-attack
+ Source: DarkReading
+ Author: Becky Bracken, Senior Editor, Dark Reading
+ Date published: 23 May 2024, 20:58
+ Date scraped: 23 May 2024, 22:08

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt0b97feb19ad69d11/664f9b6874a4f472bff49199/court_video_David_R_Frazier_Photolibrary_Inc_Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

A Windows version of the RustDoor installer is spreading via a compromised audiovisual software package hosted and distributed by an audio-visual recording platform used in courtrooms, jails, prisons, council, hearing, and lecture halls across nationwide.

Threat actors corrupted Justice AV's Viewer v8.3.7, which is used to access media and logging files produced by the Justice AV platform, according to researchers at Rapid7, who today released their findings on the[supply chain cyberattack campaign](https://www.rapid7.com/blog/post/2024/05/23/cve-2024-4978-backdoored-justice-av-solutions-viewer-software-used-in-apparent-supply-chain-attack/).

Once deployed, the RustDoor installer allows adversaries to completely take over infected systems, according to the report. The Viewer had been "... available to download via the vendor's website, and it's shipped as a Windows-based installer package that prompts for high privileges upon execution," the researchers explained.

Justice AV Solutions, RustDoor's Supply Chain Attack History
------------------------------------------------------------

RustDoor was first discovered in December of 2023 targeting macOS machines. The Windows version, also referred to as GateDoor and written in Golang instead of Rust, was found shortly thereafter, according to researchers behind its discovery. Dating back to its origins,[RustDoor and GateDoor](https://medium.com/s2wblog/rustdoor-and-gatedoor-a-new-pair-of-weapons-disguised-as-legitimate-software-by-suspected-34c94e558b40)were deployed in supply chain cyberattacks disguised as legitimate software. Past RustDoor campaigns have been linked to[ALPHV/BlackCat ransomware](https://www.darkreading.com/threat-intelligence/macos-targeted-by-new-backdoor-linked-to-alphv-ransomware)group.

The first malicious versions of JAVS Viewer packages emerged in Feb. 21, and Rapid7 first began investigating it on May 10.

JAVS has since removed the corrupted Viewer files and told Rapid7 that "no source code, certificates, systems, or other software releases were compromised in this incident."

Customers of Justice AV Solutions software should not just delete and replace the software but completely re-image affected endpoints, Rapid7 recommended, as well as reset credentials. JAVS Viewer v8.3.7 users are at "high risk and should take immediate action," the researchers warned.

Although the RustDoor malware is no longer spreading via the JAVS platform, Rapid7 noted that the adversaries behind the supply chain attack are continuously updating and improving their command-and-control (C2) infrastructure.




## Tags:


### Autogenerated tags:
[[rustdoor]] [[rapid7]] [[javs]]
