# Interpol's 'Synergia' Op Nabs Dozens of Cybercriminals, Zaps Global C2s
## The largest number of takedowns in Africa were in South Sudan and Zimbabwe.
## Information:

+ Link: https://www.darkreading.com/threat-intelligence/interpol-synergia-dozens-cybercriminals-zaps-global-c2s
+ Source: DarkReading
+ Author: Dark Reading Staff
+ Date published: 02 February 2024, 18:07
+ Date scraped: 02 February 2024, 19:02

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt6862fa3fcf4b3d7d/65bd060e8f118d040a2dbe0c/world_binary_africa_Bruno_Haver_Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

An operation to combat the surge of phishing, banking malware, and ransomware attacks worldwide saw command-and-control (C2) servers taken down across Africa and the Middle East.

The Interpol-led[Synergia operation](https://www.interpol.int/en/News-and-Events/News/2024/INTERPOL-led-operation-targets-growing-cyber-threats)involved 60 law enforcement agencies, including 17 from across the Middle East and Africa (MEA) region. The largest number of[takedowns](https://www.darkreading.com/search?q=takedown)in Africa were in South Sudan and Zimbabwe, and they resulted in four arrests. Kuwait law enforcement meanwhile worked closely with ISPs to "identify victims, conduct field investigations, and offer technical guidance to mitigate impacts," according to Interpol.

Interpol worked with local law enforcement and outside cybersecurity firms on the effort (including Group-IB, Kaspersky, ShadowServer, Team Cymru, and TrendMicro). The operation ran from last September through November, and resulted in the arrests of 31 individuals globally, and the identification of an additional 70 suspects.

Beyond the MEA region, Interpol reported other global results as follows:

* Most of the C2 servers taken down were in Europe, where 26 people were arrested;
* Hong Kong and Singapore Police took down 153 and 86 servers, respectively;
* Bolivia mobilized a range of public authorities to identify malware and resulting vulnerabilities.
The Synergia operation also identified malicious infrastructure and resources in more than 50 countries, distributed across more than 200 Web hosting providers around the world. So far, 70% of the command-and-control (C2) servers have been taken offline, and the rest are under investigation.

"The results of this operation, achieved through the collective efforts of multiple countries and partners, show our unwavering commitment to safeguarding the digital space," said Bernardo Pillot, assistant director to Interpol Cybercrime Directorate, in a statement. "By dismantling the[infrastructure behind phishing](https://www.darkreading.com/endpoint-security/south-african-railways-reports-1m-phishing),[banking malware](https://www.darkreading.com/threat-intelligence/grandoreiro-trojan-targets-global-banking-customers), and[ransomware attacks](https://www.darkreading.com/threat-intelligence/ransomware-reaches-new-heights), we are one step closer to protecting our digital ecosystems and a safer, more secure online experience for all."




## Tags:


### Autogenerated tags:
[[malware]] [[c2]]
