# DCMS announce 14 finalists of the UK's Most Innovative Cyber SME Competition
## DCMS announce 14 finalists of the UK's Most Innovative Cyber SME Competition
## Information:

+ Link: https://www.infosecurity-magazine.com/news/uks-innovative-cyber-2022-finalists/
+ Source: Infosecurity News
+ Author: Eleanor Dallaway
+ Date published: 23 May 2022, 15:00
+ Date scraped: 23 May 2022, 17:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/311f2c51-8bca-45fb-ad14-d10816608c4c.jpg)

Fourteen cybersecurity companies have been named finalists in the sixth consecutive [Department for Digital, Culture, Media & Sport](https://www.gov.uk/government/organisations/department-for-digital-culture-media-sport) (DCMS) UK’s Most Innovative Cyber SME.  


Cybersecurity SMEs pitched for the opportunity to be crowned UK’s Most Innovative Cyber SME and win one of 14 places to feature in the [UK Cyber Innovation Zone](https://www.infosecurityeurope.com/en-gb/whats-on/dcms-competition.html) at [Infosecurity Europe 2022](https://www.infosecurityeurope.com/), which will take place at ExCel London, June 21 – 23.


The Four judges (Daniel Patefield, head of programme, cyber and national security at Tech UK; Dr Andrea Cullen, co-founder of [CAPSLOCK](https://capslock.ac/); James Stanley, head of sectoral engagement at DCMS; and Eleanor Dallaway, editorial director, *Infosecurity* Magazine) selected 14 winners based on six categories including elevator pitch, USP, team and future vision.


2022 Finalists (in alphabetical order):



1. [Blackwired](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-50cb24dc-a3ef-4663-818e-8251963b26a9.html#/)
2. [C2 Cyber](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-798b4134-0bf3-4dd7-99ec-8489a2bfc5f0.html#/)
3. [Conatix](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-1bbe0cf6-17a2-431d-abd2-8d0a55a46fa9.html#/)
4. [CyberHive](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-4739582f-a254-4850-905b-2c48755b6cbb.html#/)
5. [IOETEC](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-703271d0-0711-4003-baca-6c29d3bcaee8.html#/)
6. [iQuila](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-be265513-0a1a-4fd8-8b67-f016800d61cb.html#/)
7. [NquiringMinds](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-ff226d33-9232-4c4f-8234-f92a0965afea.html?wb=1,ed,ExhibitorDirectoryList#/)
8. [Praeferre Ltd](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-e35bf7ab-93c6-44e6-bc9e-be6db54f4d22.html#/)
9. [RKVST](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-4a2a57a2-dbf2-45f8-9bfa-b3d9aa28afa2.html#/)
10. [Red Maple Technologies](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-2885d0ad-d3e0-400c-b031-857557faa428.html#/)
11. [Risk Ledger](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-e55ba353-dbfc-4583-a6ab-bf7af7a113e3.html#/)
12. [SafeShark](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-b3c88798-2672-4f90-8b57-15601c868db4.html#/)
13. [TryHackMe](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-3dc14824-16b6-4ed5-817b-f25734a67413.html#/)
14. [Worldr](https://www.infosecurityeurope.com/en-gb/exhibitor-details.org-867ca4b4-81e5-452e-8fd7-6edd4a914c4f.html#/)



James Stanley, head of sectoral engagement, DCMS, says, “One of the UK cyber sector's greatest strengths is its start-ups and SMEs, who are constantly developing new ideas, products and services to make our digital lives safer.


“That is why DCMS is once again proud to sponsor the Cyber Innovation Zone at Infosecurity Europe, which is a brilliant showcase for some of our best companies. The judges were impressed by the innovation and variety of the finalists, who cover everything from protecting the internet of things to artificial intelligence and security training.”


The DCMS-sponsored UK Cyber Innovation Zone will offer a valuable platform to display products and services to prospective buyers, partners and investors, including a spotlight stage and the opportunity to present thought-leadership presentations.


The winner will be announced on day two of Infosecurity Europe, June 22, at 4.45pm in the innovation zone.




---


**[Register now](https://rfg.circdata.com/publish/InfoSec2022/simplereg.aspx) to attend Infosecurity Europe.**




---






## Tags:


### Autogenerated tags:
[[uk]] [[infosecurity]] [[dcms]]
