# Updated Android spyware GravityRAT steals WhatsApp Backups
## An updated version of the Android remote access trojan GravityRAT can steal WhatsApp backup files and can delete files ESET researchers discovered an updated version of Android GravityRAT spyware that steals WhatsApp backup files and can delete files. The malware is distributed as the messaging apps BingeChat and Chatico. MalwareHunterTeam researchers first shared the hash for […]
## Information:

+ Link: https://securityaffairs.com/147524/hacking/gravityrat-steals-whatsapp-backups.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 June 2023, 07:52
+ Date scraped: 16 June 2023, 09:04

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-35.png?resize=300%2C300&ssl=1)


## An updated version of the Android remote access trojan GravityRAT can steal WhatsApp backup files and can delete files


ESET researchers discovered an updated version of Android [GravityRAT](https://securityaffairs.com/124562/malware/gravityrat-returns.html) spyware that steals WhatsApp backup files and can delete files. The malware is distributed as the messaging apps BingeChat and Chatico. 


MalwareHunterTeam researchers first shared the hash for a GravityRAT sample via a tweet.


  ![](//assets.vlitag.com/widget/2023/03/24/1679645040.png) .vi\_svg{cursor:pointer;width:38px!important;height:38px!important;display:none;margin:0!important;max-width:initial!important}.vislider\_\_control\_\_bottom .progress{position:relative;bottom:35px;left:0;height:5px!important;transition:height .3s;background:rgba(0,0,0,.5);cursor:pointer;flex:none;-ms-flex:none;display:flex;width:100%;margin:0;border-radius:0;box-shadow:none}.vislider\_\_control\_\_bottom .progress .progress\_\_filled{width:0%;background:#ddd;-ms-flex:0;flex:0;-ms-flex-preferred-size:0;flex-basis:0%}.vislider\_\_control\_\_bottom button{float:right}.vislider\_\_control\_\_bottom .vi\_\_time{color:#ddd;margin-left:5px;line-height:1;font-size:13px;display:inline-block}.vi\_slider\_control\_custom{font-family:"Helvetica Neue","Calibri Light",Roboto,sans-serif;letter-spacing:.02em}.vi\_\_player.vi\_\_played:hover .opacity\_\_control{visibility:visible;opacity:1}.playerWrapper button{background:no-repeat;border:none;outline:0;padding:0;display:inline-block;cursor:pointer;font-size:14px!important;background-color:transparent!important}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:-ms-flexbox;display:flex;justify-content:center;-ms-flex-align:center;align-items:center;justify-content:center;align-items:center;position:absolute;top:50%;left:50%;-ms-transform:translate(-50%,-50%) scale(1);transform:translate(-50%,-50%) scale(1)}.vi\_slider\_control\_custom .vislider\_\_control\_\_middle .vi\_\_button{width:15px!important;height:15px!important;margin:0 30px}.vi\_\_loading .vislider\_\_control\_\_middle .vi\_\_middle\_button{display:none}.slider\_\_control{position:absolute;bottom:0;left:0;width:100%;height:auto!important}.opacity\_\_control{visibility:hidden;opacity:0}.vi\_\_player:not(.vi\_\_played) .vi\_\_button,.vi\_\_player:not(.vi\_\_played) .vislider\_\_control\_\_bottom{display:none}.slider\_\_control#vislider\_control\_overlay{position:absolute;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.2);cursor:pointer}.vislider\_\_loading{display:none;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.vi\_\_loading .vislider\_\_loading{display:block}#vi\_svg\_play{display:block}#btn\_control\_player{cursor:pointer;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);padding:9px;border-radius:50%;display:block;width:auto;height:auto;margin:0;max-width:inherit}.vi\_\_player:not(.vi\_\_played) #btn\_control\_player{opacity:1;visibility:visible}.vi\_\_player.vi\_\_paused .opacity\_\_control{visibility:visible;opacity:1}#vi\_toggleVolVideo .vi\_\_mutedVideo,#vi\_toggleVolVideo .vi\_\_volVideo{padding:initial;background-color:transparent;display:block;height:19px;box-sizing:content-box;position:relative;top:0;right:0}#vi\_toggleVolVideo .icon-volume{position:absolute;top:0;right:0}.sound\_on .vi\_\_mutedVideo{display:none!important}.sound\_off .vi\_\_volVideo{display:none!important}#hide\_fullscreen\_slider{position:absolute;display:none;top:-25px;right:-25px;cursor:pointer}#vi\_poster\_\_video{position:absolute;top:0;left:0;width:inherit!important;height:inherit!important;visibility:hidden;opacity:0}.adWrapperBox .adWrapper video{height:100%!important}.vislider\_\_control\_\_bottom .vi\_slider\_\_button{margin:0 5px;width:14px;height:14px}@media only screen and (max-width:480px){#hide\_fullscreen\_slider{top:-30px;right:0}}                                                             00:00/00:00                                         

 
[GravityRAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.gravity_rat) was first spotted by Cisco Talos researchers in 2017 who speculate it remained under the radar for at least a couple of years [since 2015].


The [GravityRAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.gravity_rat) malware Access Trojan (RAT) is believed to be the work of Pakistani hacker groups, it was mainly employed in attacks aimed at Indian users.


The BingeChat campaign is still ongoing and is active since August 2022, while the campaign using Chatico is no longer active. The researchers discovered that BingeChat is distributed through a website set up by threat actors to advertise free messaging services. ESET researchers discovered the website bingechat[.]net used to host the sample.


The latest version of GravityRAT can exfiltrate WhatsApp backups while providing legitimate chat functionality based on the open-source [OMEMO Instant Messenger app](https://github.com/froghorn82/omemo-im), which is a rebuild of the Android Jabber client [Conversations](https://conversations.im/).



The website used to serve the app requires visitors to log in, but researchers didn’t have credentials, and the registration was closed.



[![GravityRAT](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-35.png?resize=333%2C703&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-35.png?ssl=1)


*“It is most probable that the operators only open registration when they expect a specific victim to visit, possibly with a particular IP address, geolocation, custom URL, or within a specific timeframe. Therefore, we believe that potential victims are highly targeted.” reads the [**analysis**](https://www.welivesecurity.com/2023/06/15/android-gravityrat-goes-after-whatsapp-backups/) published by ESET.* *“Considering that downloading the app is conditional on having an account and new account registration was not possible for us, we believe that potential victims were specifically targeted.”*


[![GravityRAT](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-36.png?resize=1024%2C352&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/06/image-36.png?ssl=1)


GravityRAT allows operators to exfiltrate call logs, contact list, SMS messages, files with specific extensions (jpg, jpeg, log, png, PNG, JPG, JPEG, txt, pdf, xml, doc, xls, xlsx, ppt, pptx, docx, opus, crypt14, crypt12, crypt13, crypt18, crypt32), device location, and basic device information.


The malware stores data to be exfiltrated in text files on external media and then exfiltrates them to the C2 server before removing it.


*“Known to have been active [since at least 2015](https://securelist.com/gravityrat-the-spy-returns/99097/), SpaceCobra has resuscitated GravityRAT to include expanded functionalities to exfiltrate WhatsApp Messenger backups and receive commands from a C&C server to delete files.” concludes ESET that also provided indicators of compromise (IoCs) for this campaign.*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **malware**)



  


---


  




## Tags:
***urls***: http://bingechat.net

### Autogenerated tags:
[[gravityrat]] [[whatsapp]] [[eset]] [[malware]] [[android]] [[bingechat]] [[website]]
