# Arid Viper Targeting Arabic Android Users with Spyware Disguised as Dating App
## Arid Viper, a cyber espionage group linked to Hamas, has been exposed for its Android spyware campaign disguised as a dating app.
## Information:

+ Link: https://thehackernews.com/2023/10/arid-viper-targeting-arabic-android.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 31 October 2023, 19:46
+ Date scraped: 31 October 2023, 15:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg7fuT-a82PBlj1vOFtU4kk8fizbb9QD3bVqPdge7u5dshwKxrOYkfk2F_qBIq8nKySCrgu2z_KHAObMTgUGyRMDTJy6eXDz28m13BfvJvSVyTn_5CqIoWB_sn2MuIXMYGGrmJaFg5NCWZi6DH0lnKweVppC4j6dqqhPOyS-Fm7pS-fkjYTAvt0vt50k0tw/s728-rw-ft-e30/android.jpg)


The threat actor known as [Arid Viper](https://thehackernews.com/2023/10/pro-hamas-hacktivists-targeting-israeli.html) (aka APT-C-23, Desert Falcon, or TAG-63) has been attributed as behind an Android spyware campaign targeting Arabic-speaking users with a counterfeit dating app designed to harvest data from infected handsets.


"Arid Viper's Android malware has a number of features that enable the operators to surreptitiously collect sensitive information from victims' devices and deploy additional executables," Cisco Talos [said](https://blog.talosintelligence.com/arid-viper-mobile-spyware/) in a Tuesday report.


Active since at least 2017, Arid Viper is a cyber espionage that's aligned with [Hamas](https://www.cfr.org/backgrounder/what-hamas), an Islamist militant movement that governs the Gaza Strip. The cybersecurity firm said there is no evidence connecting the campaign to the [ongoing](https://www.group-ib.com/blog/middle-east-conflict-week-1/) [Israel-Hamas war](https://www.resecurity.com/blog/article/opisrael-freepalestine-and-opsaudiarabia-how-cyber-actors-capitalize-on-war-actions-via-psy-ops).


The activity is believed to have commenced no earlier than April 2022.


Interestingly, the mobile malware shares source code similarities with a non-malicious online dating application called Skipped, suggesting that the operators are either linked to the latter's developer or managed to copy its features in an attempt at deception.


The use of seemingly-benign chat applications to deliver malware is "in line with the 'honey trap' tactics used by Arid Viper in the past," which has resorted to [leveraging fake profiles](https://thehackernews.com/2021/04/facebook-busts-palestinian-hackers.html) on social media platforms to trick potential targets into installing them.


Cisco Talos said it also identified an extended web of companies that create dating-themed applications that are similar or identical to Skipped and can be downloaded from the official app stores for Android and iOS.


* VIVIO - Chat, flirt & Dating (Available on Apple App Store)
* Meeted (previously Joostly) - Flirt, Chat & Dating (Available on Apple App Store)
* SKIPPED - Chat, Match & Dating (50,000 downloads on Google Play Store)
* Joostly - Dating App! Singles (10,000 downloads on Google Play)


The array of simulated dating applications has raised the possibility that "Arid Viper operators may seek to leverage these additional applications in future malicious campaigns," the company noted.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh-VVs6tHXGdwyUxmc80NVu7nkuc0OH01WJv-_4FZFFiOKN6vY97dCvgNkNGApwFGaJ9lVGnAS7PTNC-lKBchoHXJotU_BBQPJ41lEZe2zPX-Gvo-wS28MH287MYw90uNEZKb_5CXuDfideDKXtLN8gbl5g4ysx0Xytv3E6DQg6bq4s75UMFGqltbCs-4do/s728-rw-ft-e30/network.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh-VVs6tHXGdwyUxmc80NVu7nkuc0OH01WJv-_4FZFFiOKN6vY97dCvgNkNGApwFGaJ9lVGnAS7PTNC-lKBchoHXJotU_BBQPJ41lEZe2zPX-Gvo-wS28MH287MYw90uNEZKb_5CXuDfideDKXtLN8gbl5g4ysx0Xytv3E6DQg6bq4s75UMFGqltbCs-4do/s728-rw-ft-e30/network.png)
The malware, once installed, hides itself on a victim machine by turning off system or security notifications from the operating system and also disables notifications on Samsung mobile devices and on any Android phone with the APK package name containing the word "security" to fly under the radar.


It's also designed to request for intrusive permissions to record audio and video, read contacts, access call logs, intercept SMS messages, alter Wi-Fi settings, terminate background apps, take pictures, and create system alerts.


Among other noteworthy features of the implant includes the ability to retrieve system information, get an updated command-and-control (C2) domain from the current C2 server, as well as download additional malware, which is camouflaged as legitimate apps like Facebook Messenger, Instagram, and WhatsApp.


The development comes as Recorded Future revealed signs possibly connecting Arid Viper to Hamas through infrastructure overlaps related to an Android application named Al Qassam that's been disseminated in a Telegram Channel claiming affiliation to [Izz ad-Din al-Qassam Brigades](https://en.wikipedia.org/wiki/Izz_ad-Din_al-Qassam_Brigades), the military wing of Hamas.


"They depict not only a possible slip in operational security but also ownership of the infrastructure shared between groups," the company [said](https://www.recordedfuture.com/hamas-application-infrastructure-reveals-possible-overlap-tag-63-iranian-threat-activity). "One possible hypothesis to explain this observation is that TAG-63 shares infrastructure resources with the rest of the Hamas organization."


  





## Tags:


### Autogenerated tags:
[[android]] [[malware]] [[hamas]]
