# BouldSpy Android Spyware: Iranian Government's Alleged Tool for Spying on Minority Groups
## A new surveillanceware called BouldSpy, believed to be linked to the Iranian government, has been spying on over 300 individuals belonging to minority
## Information:

+ Link: https://thehackernews.com/2023/05/bouldspy-android-spyware-iranian.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 May 2023, 11:56
+ Date scraped: 02 May 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgvsM8Hgg9ozMLPKT8hVtyJ05Ec8GZX2zxNxsupvP7yDTh-T-YxV2azjAxLpQoWa2ozLnbwA5Qi3efR7CyxVT7aPqfB168ecCb8A_y-EBHoNS6SkfKtB2-45k-g4P4GKNVZctZpLsrYxIziXlBMuHP4yyfGCQJj2cIEvZwpReaPKa9lRaHlWUcWKUfT/s728-e3650/iran.jpg)


A new Android surveillanceware possibly used by the Iranian government has been used to spy on over 300 individuals belonging to minority groups.


The malware, dubbed **BouldSpy**, has been attributed with moderate confidence to the Law Enforcement Command of the Islamic Republic of Iran ([FARAJA](https://en.wikipedia.org/wiki/Law_Enforcement_Command_of_the_Islamic_Republic_of_Iran)). Targeted victims include Iranian Kurds, Baluchis, Azeris, and Armenian Christian groups.


"The spyware may also have been used in efforts to counter and monitor illegal trafficking activity related to arms, drugs, and alcohol," Lookout [said](https://www.lookout.com/blog/iranian-spyware-bouldspy), based on exfiltrated data that contained photos of drugs, firearms, and official documents issued by FARAJA. 


BouldSpy, like other Android malware families, abuses its access to Android's accessibility services and other intrusive permissions to harvest sensitive data such as web browser history, photos, contact lists, SMS logs, keystrokes, screenshots, clipboard content, microphone audio, and video call recordings.


It's worth pointing out that BouldSpy refers to the same Android malware that Cyble codenamed [DAAM](https://thehackernews.com/2023/05/google-blocks-143-million-malicious.html) in its own analysis last month.


[![BouldSpy Android Spyware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi1I1LlKw35-zrthDFyMC9qTYUX8CW9yE1s6gUXlh_cV-i-4A4umJJ1yb0HBpvg_613qHcY6nTxZw2b-7FTDnWoFJx3-Q1NH3wcjUD9wQXlkXA5-mardayJz0O1DNM71CgOUgMKxyvHGXJlxc-2JksvP8QMW63B6I-5cga3eR3CxHf6rWTNSc-JTdYE/s728-e365/apps.png)
Evidence gathered so far points to BouldSpy being installed on targets' devices via physical access, potentially confiscated after detention. This theory is bolstered by the fact that the first locations gathered from victim devices are mostly concentrated around Iranian law enforcement establishments and border control posts.


The malware comes alongside a command-and-control (C2) panel to manage victim devices, not to mention create new malicious apps that masquerade as seemingly innocuous apps like benchmarking tools, currency converters, interest calculators, and the Psiphon censorship circumvention utility.


Other noteworthy features comprise its ability to run additional code sent from the C2 server, receive commands through SMS messages, and even disable battery management features to prevent the device from terminating the spyware.


It further incorporates an "unused and nonfunctional" ransomware component that borrows its implementation from an open source project called [CryDroid](https://github.com/benniraj25/crydroid/), raising the possibility that it's being actively developed or is a false flag planted by the threat actor.


"Once installed, the spyware will seek to establish a network connection to its C2 server and exfiltrate any cached data from the victim's device to the server," Lookout researchers said. "BouldSpy represents yet another surveillance tool taking advantage of the personal nature of mobile devices."



  





## Tags:


### Autogenerated tags:
[[bouldspy]] [[android]] [[malware]] [[spyware]] [[c2]]
