# Fake Antivirus and Cleaner Apps Caught Installing SharkBot Android Banking Trojan
## A new version of the notorious SharkBot Android banking trojan has once again made its way into the Google Play Store.
## Information:

+ Link: https://thehackernews.com/2022/09/fake-antivirus-and-cleaner-apps-caught.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 05 September 2022, 07:10
+ Date scraped: 05 September 2022, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgqVCunNaH9G4gCX2zk9GwUk0Q4MOj11gPxPWzTIp-m0rWQ5ILhgeLF9qMedEd_r14dHFc4sLiaPP6ha6sbuHokkGZxMN09_uAqYv54WYDNAdFhIcKktqefR5ZstPZpli-Er8BgXJnpJwQD0tQQRfBvKInQn8b1w__EsJLiw_2Pz8I0onrdqLyGFkkx/s728-e1000/android.jpg)


The notorious Android banking trojan known as [SharkBot](https://thehackernews.com/2022/04/sharkbot-banking-trojan-resurfaces-on.html) has once again made an appearance on the Google Play Store by masquerading as antivirus and cleaner apps.


"This new dropper doesn't rely on Accessibility permissions to automatically perform the installation of the dropper Sharkbot malware," NCC Group's Fox-IT [said](https://blog.fox-it.com/2022/09/02/sharkbot-is-back-in-google-play/) in a report. "Instead, this new version asks the victim to install the malware as a fake update for the antivirus to stay protected against threats."


The apps in question, Mister Phone Cleaner and Kylhavy Mobile Security, have over 60,000 installations between them and are designed to target users in Spain, Australia, Poland, Germany, the U.S., and Austria -


* Mister Phone Cleaner (com.mbkristine8.cleanmaster, 50,000+ downloads)
* Kylhavy Mobile Security (com.kylhavy.antivirus, 10,000+ downloads)


The [droppers](https://thehackernews.com/2022/08/cybercriminals-developing-bugdrop.html) are designed to drop a new version of SharkBot, [dubbed V2](https://twitter.com/ThreatFabric/status/1524767906780831750) by Dutch security firm ThreatFabric, which features an updated command-and-control (C2) communication mechanism, a domain generation algorithm (DGA), and a fully refactored codebase.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiqQsNr6bkoj1NkjvHGDuZbgVTyM6ATR9NGkgvUbGkiGJT8D5qmkh84gGxdEpS4w389Z7ywcpzFG6fQbvwSYo2gsqKK-AaFmIuKPKlGbuyUj71-6B1P2epwDsw7qWg2On4L5mEq1TZS76nkvyojjCwhohZD3drN8s8_JieS5EDXY3s-LBqzfr9gq662/s728-e100/apps.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiqQsNr6bkoj1NkjvHGDuZbgVTyM6ATR9NGkgvUbGkiGJT8D5qmkh84gGxdEpS4w389Z7ywcpzFG6fQbvwSYo2gsqKK-AaFmIuKPKlGbuyUj71-6B1P2epwDsw7qWg2On4L5mEq1TZS76nkvyojjCwhohZD3drN8s8_JieS5EDXY3s-LBqzfr9gq662/s728-e100/apps.jpg)
Fox-IT said it discovered a newer version 2.25 on August 22, 2022, that introduces a function to siphon cookies when victims log in to their bank accounts, while also removing the ability to automatically reply to incoming messages with links to the malware for propagation.


By eschewing the Accessibility permissions for installing SharkBot, the development highlights that the operators are actively tweaking their techniques to avoid detection, not to mention find alternative methods in the face of Google's [newly imposed restrictions](https://blog.esper.io/android-13-sideloading-restriction-harder-malware-abuse-accessibility-apis/) to curtail the abuse of the APIs.


Other notable information stealing capabilities include injecting fake overlays to harvest bank account credentials, logging keystrokes, intercepting SMS messages, and carrying out fraudulent fund transfers using the Automated Transfer System ([ATS](https://www.cleafy.com/documents/how-ats-attacks-work-infographic)).


It's no surprise that malware poses an evolving and omnipresent threat, and despite continued efforts on the part of Apple and Google, app stores are vulnerable to unknowingly being abused for distribution, with the developers of these apps trying every trick in the book to dodge security checks.


"Until now, SharkBot's developers seem to have been focusing on the dropper in order to keep using Google Play Store to distribute their malware in the latest campaigns," researchers Alberto Segura and Mike Stokkel said.


  





## Tags:


### Autogenerated tags:
[[sharkbot]] [[malware]] [[google]] [[apps]]
