# Sneaky DogeRAT Trojan Poses as Popular Apps, Targets Indian Android Users
## Attention, Android users in India! Beware of DogeRAT malware! It hijacks devices, steals data, spams, makes unauthorized payments, and modifies files.
## Information:

+ Link: https://thehackernews.com/2023/05/sneaky-dogerat-trojan-poses-as-popular.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 30 May 2023, 12:32
+ Date scraped: 30 May 2023, 08:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEipVK-v-nKJ-pCd-aBNtycOkzA75N1Vd9ydfYWyM8xO6Mi9xnXqJcXRs0nJrksO637hlHiikRPDuF6ksAE-fawdmyMdWgShDlbnqM3W6DiPe41B_LlGvs48X0hhawhSLjTIh57ubOHUeBW3qv69ZOnJYKbvoUmRfCuv8xcMixO2qbdBlR9Go5YXiNyt/s728-e3650/ANDROID.jpg)


A new open source remote access trojan (RAT) called **DogeRAT** targets Android users primarily located in India as part of a sophisticated malware campaign.


The malware is distributed via social media and messaging platforms under the guise of legitimate applications like Opera Mini, OpenAI ChatGOT, and Premium versions of YouTube, Netflix, and Instagram.


"Once installed on a victim's device, the malware gains unauthorized access to sensitive data, including contacts, messages, and banking credentials," cybersecurity firm CloudSEK [said](https://cloudsek.com/blog/dogerat-the-android-malware-campaign-targeting-users-across-multiple-industries) in a Monday report.


"It can also take control of the infected device, enabling malicious actions such as sending spam messages, making unauthorized payments, modifying files, and even remotely capturing photos through the device's cameras."


DogeRAT, like many other malware-as-a-service ([MaaS](https://thehackernews.com/2023/05/new-stealthy-bandit-stealer-targeting.html)) offerings, is promoted by its India-based developer through a Telegram channel that has more than 2,100 subscribers since it was created on June 9, 2022.


This also includes a premium subscription that's sold for dirt-cheap prices ($30) with additional capabilities such as taking screenshots, stealing images, capturing clipboard content, and logging keystrokes.


[![DogeRAT Trojan](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjOhnqwjG0AzCXygywG9PIm3Wc8sbY4YbzB796iZaCp02StxKSACexfaNQTUfH6JPEcR7dD031tS2YNZN43fZlxuTzVEjprfCT0dpTP4yIa0MuqV1WcOj27ImiQRjmFTKYPGjbmUQzsThBR27cKT9Wj_MvLMMQQLY8YBr8w8Y2ecain6SrPvJZJARws/s728-e365/apps.jpg)
In a further attempt to make it more accessible to other criminal actors, the free version of DogeRAT has been made available on GitHub, alongside screenshots and video tutorials showcasing its functions.


"We do not endorse any illegal or unethical use of this tool," the developer states in the repository's README.md file. "The user assumes all responsibility for the use of this software."


Upon installation, the Java-based malware requests for intrusive permissions to perform its data-gathering objectives, before exfiltrating it to a Telegram bot.


 UPCOMING WEBINAR Zero Trust + Deception: Learn How to Outsmart Attackers! Discover how Deception can detect advanced threats, stop lateral movement, and enhance your Zero Trust strategy. Join our insightful webinar!

 [Learn, Connect, Grow](https://thn.news/z-inside-2).ad-button,.ad-label,.ad-label:after{display:inline-block}.ad\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.ad-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.ad-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.ad-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.ad-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.ad-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
"This campaign is a stark reminder of the financial motivation driving scammers to continually evolve their tactics," CloudSEK researcher Anshuman Das said.


"They are not just limited to creating phishing websites, but also distributing modified RATs or repurposing malicious apps to execute scam campaigns that are low-cost and easy to set up, yet yield high returns."


The findings come as Google-owned Mandiant detailed a new Android backdoor called LEMONJUICE that's designed to enable remote control of and access to a compromised device.


"The malware is capable of tracking device location, recording the microphone, retrieving contact lists, accessing call, SMS, clipboard, and notification logs, viewing installed applications, downloading and uploading files, viewing connectivity status, and executing additional commands from the C2 server," researcher Jared Wilson [said](https://www.mandiant.com/resources/blog/permhash-no-curls-necessary).



  





## Tags:


### Autogenerated tags:
[[malware]] [[dogerat]]
