# Syrian Hackers Distributing Stealthy C#-Based Silver RAT to Cybercriminals
## Anonymous Arabic releases Silver RAT, a trojan that slips past security and takes hidden control
## Information:

+ Link: https://thehackernews.com/2024/01/syrian-hackers-distributing-stealthy-c.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 08 January 2024, 19:34
+ Date scraped: 08 January 2024, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg2S47-DyvJs7a6ATP-z8IqLxcciv5M07bt6lIle2FCvjWBzp-suZWCepIUd-HGPw1yOKqCeDK8obGkzOZ_8SZHO5pJ-oVSmuAbzStTTMu1qvThafymmsGrtCVNQ1h7gWv6vRnl4jdJGvivkvGZcZctbp7onmqQAoXksAfP1w3TJimQNW7yyd-QvteMs1Am/s728-rw-ft-e30/sy.jpg)


Threat actors operating under the name Anonymous Arabic have released a remote access trojan (RAT) called **Silver RAT** that's equipped to bypass security software and stealthily launch hidden applications.


"The developers operate on multiple hacker forums and social media platforms, showcasing an active and sophisticated presence," cybersecurity firm Cyfirma [said](https://www.cyfirma.com/outofband/a-gamer-turned-malware-developer-diving-into-silverrat-and-its-syrian-roots/) in a report published last week.


The actors, assessed to be of Syrian origin and linked to the development of another RAT known as S500 RAT, also run a Telegram channel offering various services such as the distribution of cracked RATs, leaked databases, carding activities, and the sale of Facebook and X (formerly Twitter) bots.


The social media bots are then utilized by other cyber criminals to promote various illicit services by automatically engaging with and commenting on user content.


In-the-wild detections of Silver RAT v1.0 were first observed in November 2023, although the threat actor's plans to release the trojan were first made official a year before. It was cracked and leaked on Telegram around October 2023.


The C#-based malware boasts of a wide range of features to connect to a command-and-control (C2) server, log keystrokes, destroy system restore points, and even encrypt data using ransomware. There are also indications that an Android version is in the works.


[![Silver RAT to Cybercriminals](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiiO8Un0RJxTcobZKetRBWY36W2H45XAsRntoidsWF6MW1PQcMGpCJGcxee3qOUy9VsxPVuXWzT3JoFpj1xnejtmHwMKct77PfUOQO7NbB71ucRbp-Wv65mBRXbnzlXbwfR_s3O-L9xalWX509EaCxYj4UAyaW1UWQQ1sjyBzysFBxPo0yZqdSA8_qoluY2/s728-rw-ft-e30/ss.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiiO8Un0RJxTcobZKetRBWY36W2H45XAsRntoidsWF6MW1PQcMGpCJGcxee3qOUy9VsxPVuXWzT3JoFpj1xnejtmHwMKct77PfUOQO7NbB71ucRbp-Wv65mBRXbnzlXbwfR_s3O-L9xalWX509EaCxYj4UAyaW1UWQQ1sjyBzysFBxPo0yZqdSA8_qoluY2/s728-rw-ft-e30/ss.jpg)
"While generating a payload using Silver RAT's builder, threat actors can select various options with a payload size up to a maximum of 50kb," the company noted. "Once connected, the victim appears on the attacker-controlled Silver RAT panel, which displays the logs from the victim based on the functionalities chosen."


An interesting evasion feature built into Silver RAT is its ability to delay the execution of the payload by a specific time as well as covertly launch apps and take control of the compromised host.


Further analysis of the malware author's online footprint shows that one of the members of the group is likely in their mid-20s and based in Damascus.


"The developer [...] appears supportive of Palestine based on their Telegram posts, and members associated with this group are active across various arenas, including social media, development platforms, underground forums, and Clearnet websites, suggesting their involvement in distributing various malware," Cyfirma said.



  





## Tags:


### Autogenerated tags:
[[malware]]
