# These Two Google Play Store Apps Spotted Distributing Xenomorph Banking Trojan
## Two new malicious dropper apps have been discovered spreading the Xenomorph banking malware via the Google Play Store.
## Information:

+ Link: https://thehackernews.com/2022/11/these-two-google-play-store-apps.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 November 2022, 12:33
+ Date scraped: 11 November 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhyRpA-mhaIyCcRLeylp9_GHSZcRHYfPLJHXHgWT_6DQLzNUiO4CLPfBMjjWOBQ68lLRz4xBwEXqXmm_T-zOXaS-TUH3hl4UhToG-Xq7qE5YrW_BMTYbrEbKXfVWwFEL2A0Zy3rJCothsY-k2jRmhcqxIv6PBYlIPhR_r0BQM6PeHIWPhOP208nrsza/s728-e1000/malware.jpg)


Google has removed two new malicious dropper apps that have been detected on the Play Store for Android, one of which posed as a lifestyle app and was caught distributing the Xenomorph banking malware.


"Xenomorph is a trojan that steals credentials from banking applications on users' devices," Zscaler ThreatLabz researchers Himanshu Sharma and Viral Gandhi [said](https://www.zscaler.com/blogs/security-research/rise-banking-trojan-dropper-google-play-0) in an analysis published Thursday.


"It is also capable of intercepting users' SMS messages and notifications, enabling it to steal one-time passwords and multi-factor authentication requests."


The cybersecurity firm said it also found an expense tracker app that exhibited similar behavior, but noted that it couldn't extract the URL used to fetch the malware artifact.


[![Xenomorph Banking Trojan](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEieABvknKhqKCxzQAs0IBfPTCITOMZiqWDdhESl4VbDUCxSUe4d24rE0ncvQ1whqweMkP8DqioRszEIQyekY-ouXtG_BYRN5x_njXwPDOI24V-RkcqcIeuRUnnoiwv-H8n2BSvAty9syFoTSx66ab44h0yTd3nVKhvt_vQzou8nJ1VZQZwJ1VQpDtQv/s728-e1000/image.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEieABvknKhqKCxzQAs0IBfPTCITOMZiqWDdhESl4VbDUCxSUe4d24rE0ncvQ1whqweMkP8DqioRszEIQyekY-ouXtG_BYRN5x_njXwPDOI24V-RkcqcIeuRUnnoiwv-H8n2BSvAty9syFoTSx66ab44h0yTd3nVKhvt_vQzou8nJ1VZQZwJ1VQpDtQv/s728-e100/image.jpg)
The two malicious apps are as follows -


* Todo: Day manager (com.todo.daymanager)
* 経費キーパー (com.setprice.expenses)


Both the apps function as a dropper, meaning the apps themselves are harmless and are a conduit to retrieve the actual payload, which, in the case of Todo, is hosted on GitHub.


Xenomorph, first [documented](https://thehackernews.com/2022/02/xenomorph-android-banking.html) by ThreatFabric earlier this February, is known to abuse Android's accessibility permissions to conduct overlay attacks, wherein fake login screens are presented atop legitimate bank apps to steal victim's credentials.


What's more, the malware leverages a Telegram channel's description to decode and construct the command-and-control (C2) domain used to receive additional commands.


The development follows the [discovery of four rogue](https://thehackernews.com/2022/11/these-android-apps-with-million-play.html) apps on Google Play that were found directing victims to malicious websites as part of an adware and information-stealing campaign. Google told The Hacker News that it has since banned the developer.


  





## Tags:


### Autogenerated tags:
[[apps]] [[google]] [[xenomorph]] [[malware]]
