# Bronze President spies on Russian targets as Ukraine invasion continues | ZDNet
## It's not necessarily because Russia is considered hostile, however.
## Information:

+ Link: https://www.zdnet.com/article/bronze-president-pivots-to-russian-european-targets-amidst-ukraine-invasion/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 27 April 2022, 10:00
+ Date scraped: 27 April 2022, 13:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/d289ee1a5b815846dce90c2ee76a7e8d899e36c1/2022/01/17/e6300ce3-a5df-461f-af18-522083589057/russia-ransomware.jpg?width=770&height=578&fit=crop&auto=webp)




* 
* 
* 
* 
* 
* 
* 





[![Charlie Osborne](https://www.zdnet.com/a/img/resize/c8ef739a72ea5f7507a32fca52940befe437ac45/2014/07/22/36b8334d-1175-11e4-9732-00505685119a/charlie-osborne.jpg?width=50&height=50&fit=crop&auto=webp)](/meet-the-team/us/charlie-osborne/)



 
 Written by

 
 [Charlie Osborne](/meet-the-team/us/charlie-osborne/), Contributor


[![Charlie Osborne](https://www.zdnet.com/a/img/resize/ae8b429306581e2c4e0430de956e3cf4ec97dd0d/2014/07/22/36b8334d-1175-11e4-9732-00505685119a/charlie-osborne.jpg?width=70&height=70&fit=crop&auto=webp)](/meet-the-team/us/charlie-osborne/)
[Charlie Osborne](/meet-the-team/us/charlie-osborne/)
[Contributor](/meet-the-team/us/charlie-osborne/)
Charlie Osborne is a cybersecurity journalist and photographer who writes for ZDNet and CNET from London.


[Full Bio](/meet-the-team/us/charlie-osborne/)



 Posted in [Zero Day](/blog/security/)
 
 on April 27, 2022
| Topic: [Security](/topic/security/)



{
 "@context": "https:\/\/schema.org",
 "@type": "BreadcrumbList",
 "itemListElement": [
 {
 "@type": "ListItem",
 "position": 1,
 "name": "Topic",
 "item": "https:\/\/www.zdnet.com\/topic\/"
 },
 {
 "@type": "ListItem",
 "position": 2,
 "name": "Security",
 "item": "https:\/\/www.zdnet.com\/topic\/security\/"
 },
 {
 "@type": "ListItem",
 "position": 3,
 "name": "Bronze President spies on Russian targets as Ukraine invasion continues"
 }
 ]
}

Bronze President has potentially shifted from Asia to focus on Russia as the invasion of Ukraine continues. 

Also known as Mustang Panda, TA416, or RedDelta, the Chinese cyberespionage group has been active since at least 2018 and has traditionally focused on gathering intelligence from [NGOs](https://www.secureworks.com/research/bronze-president-targets-ngos), research institutes, and internet service providers (ISPs).


Past countries and regions on the hit list include Europe, Mongolia, Russia, Vietnam, and South Africa. 

According to [Secureworks Counter Threat Unit](https://www.secureworks.com/research/) (CTU), the group is either "sponsored or at the very least tolerated by the Chinese government" and "appears to be changing its targeting in response to the political situation in Europe and the war in Ukraine." 

Recent campaigns have primarily focused on Southeast Asia, with targets infiltrated for "political and economic" data theft and ongoing, long-term surveillance. However, CTU says that Bronze President has now pivoted to Russian speakers alongside European organizations. 

"This suggests that the threat actors have received updated tasking that reflects the changing intelligence collection requirements of the People's Republic of China (PRC)," the researchers say. 

Government-sponsored -- or, perhaps, tolerated -- cyberattackers are tasked with activities that will benefit their government somehow. This often includes intelligence-gathering, spying, and activities that improve situational awareness, especially in times of conflict. 

These activities don't only include 'enemies' or 'hostile' states -- it also extends to who a country considers an ally or friend. 

CTU suggests that the recent Bronze President shift could indicate "an attempt by China to deploy advanced malware to computer systems of Russian officials." 


Bronze President is suspected of targeting the Russian military. The team analyzed a malicious executable called "*Blagoveshchensk - Blagoveshchensk Border Detachment.exe*," which was disguised with a .PDF icon and heavily obfuscated to hide a downloader for PlugX malware. (The city of Blagoveshchensk is close to the Chinese border and is home to part of the Russian military.)

If executed, the file will display a decoy document (written in English, oddly), which describes the refugee situation and EU sanctions. In the background, a downloader grabs PlugX from a command-and-control (C2) server [previously tied](https://www.proofpoint.com/uk/blog/threat-insight/good-bad-and-web-bug-ta416-increases-operational-tempo-against-european) to campaigns in Europe. 

PlugX is a Remote Access Trojan (RAT) capable of file exfiltration, executing remote command shells, establishing a backdoor, and deploying additional malicious payloads. 

Bronze President has a wide range of tools, including Cobalt Strike, the China Chopper backdoor, RCSession, and ORat, at its disposal. 

In March, ESET [said the group](https://www.zdnet.com/article/mustang-panda-hacking-group-takes-advantage-of-ukraine-crisis-in-new-attacks/) was taking advantage of the war to spread a new Korplug/PlugX RAT variant, dubbed Hodur, via Ukraine & Russia-themed phishing campaigns. 

In other cybersecurity news related to Russia and Ukraine, Aqua Security has been tracking the use of [cloud repositories](https://www.zdnet.com/article/the-role-of-cloud-services-containers-in-the-russia-ukraine-cyber-conflict/) by those on both sides of the conflict. 

The researchers found that 40% of public repositories with descriptions or names linked to the invasion, including tools and guides, promoted denial-of-service (DoS) activities "aimed at disrupting the network traffic of online services." 

**See also**

* [Mustang Panda hacking group takes advantage of Ukraine crisis in new attacks](https://www.zdnet.com/article/mustang-panda-hacking-group-takes-advantage-of-ukraine-crisis-in-new-attacks/)
* [How cloud services become weapons in Russia-Ukraine cyber conflict](https://www.zdnet.com/article/the-role-of-cloud-services-containers-in-the-russia-ukraine-cyber-conflict/)
* [Ukraine warns of InvisiMole attacks tied to state-sponsored Russian hackers](https://www.zdnet.com/article/ukraine-warns-of-invisimole-attacks-tied-to-state-sponsored-russian-hackers/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
[[osborne]] [[ctu]] [[blagoveshchensk]] [[plugx]]
