# Mustang Panda hacking group takes advantage of Ukraine crisis in new attacks | ZDNet
## Just as criminals seized on the pandemic, this group is trying to capitalize on Russia's invasion of Ukraine.
## Information:

+ Link: https://www.zdnet.com/article/mustang-panda-hacking-group-takes-advantage-of-ukraine-crisis-in-new-attacks/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 24 March 2022, 09:52
+ Date scraped: 24 March 2022, 11:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/100e709da6c104495c8da3f00a9976943e65c5f8/2019/08/08/2a2ac845-52af-4bb1-8467-ff93255c0c9f/iot-blockchain-connectivity-networking-istock.jpg?width=770&height=578&fit=crop&auto=webp)


Researchers have exposed a Mustang Panda campaign that is taking advantage of the Russia-Ukraine conflict to spread new malware.

On March 23, [researchers from ESET](https://www.welivesecurity.com/2022/03/23/mustang-panda-hodur-old-tricks-new-korplug-variant/) said that Mustang Panda, a Chinese cyberespionage group also tracked as TA416, RedDelta, and Bronze President, has been spreading a new Korplug/PlugX Remote Access Trojan (RAT) variant. 

Korplug is a RAT previously used in attacks against the Afghanistan and Tajikistan [militaries](https://www.welivesecurity.com/2014/11/12/korplug-military-targeted-attacks-afghanistan-tajikistan/), targets across Asia, and high-value organizations in Russia. Researchers say that variants of the Trojan have been used by Chinese threat actors since at least 2012. 

The new variant, however, has remained under the radar until now. 

ESET has named the new sample Hodur. The new version has some similarities to Thor, a variant of the malware detected by [Palo Alto Networks](https://unit42.paloaltonetworks.com/thor-plugx-variant/) in 2021 deployed during the [Microsoft Exchange Server](https://www.zdnet.com/article/everything-you-need-to-know-about-microsoft-exchange-server-hack/) debacle.

Hodur is being spread through a phishing campaign leveraging topics of interest in Europe, including Russia's current invasion of Ukraine. The attack wave is still ongoing but has taken different forms since August 2021 depending on current events. 

By adapting its phishing methods to include current hot topics, conflicts, and news items, Mustang Panda has managed to successfully infiltrate research organizations, internet service providers (ISPs), and systems belonging to European diplomatic initiatives across countries including Mongolia, Vietnam, Myanmar, Greece, Russia, South Africa, and Cyprus.

While ESET is not sure of the campaign's source, phishing and watering hole attacks are likely as the means for initial access. Custom downloaders for Hodur have been found in several decoy documents with names including:


* Situation at the EU borders with Ukraine.exe
* COVID-19 travel restrictions EU reviews list of third countries.exe
* State\_aid\_\_Commission\_approves\_2022-2027\_regional\_aid\_map\_for\_Greece.exe
* REGULATION OF THE EUROPEAN PARLIAMENT AND OF THE COUNCIL.exe

The decoys were also packaged up with .doc and .PDF extensions. 

If an intended victim opens the decoy document and executes the package, a malicious .DLL file, an encrypted Korplug file, and an executable vulnerable to DLL search-order hijacking land on the target machine. 

The .exe file loads the .DLL and then the RAT is decrypted and unpacked. The Korplug RAT variant will then establish a backdoor, connect to its command-and-control (C2) server, and perform reconnaissance on the infected system. 

In other security news this week, Google has removed a [popular Android app](https://www.zdnet.com/article/google-removes-android-app-with-100000-downloads-from-play-store-over-password-stealing-malware/) from the Play Store after Pradeo warned that the application contained a Trojan able to harvest Facebook account credentials. 

###  Previous and related coverage

* [Okta names Sitel in Lapsus$ security incident impacting up to 366 customers](https://www.zdnet.com/article/okta-names-sitel-in-security-incident-potentially-impacting-hundreds-of-customers/)
* [This is how much the average Conti hacking group member earns a month](https://www.zdnet.com/article/this-is-how-much-the-average-conti-hacking-group-member-earns-a-month/)
* [Social engineering attacks to dominate Web3, the metaverse](https://www.zdnet.com/article/social-engineering-attacks-to-dominate-web3-metaverse-services/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
[[eset]] [[korplug]] [[phishing]] [[dll]]
